{
  "openapi": "3.0.0",
  "info": {
    "description": "## Introduction\n\n**IMPORTANT**:\nWatson Data API documentation is deprecated and might be out of date.\nThe relevant functionality is now described in the following documents:\n\n1. [Common core functionality APIs for Data and AI SaaS products](https://cloud.ibm.com/apidocs/data-ai-common-core)\n2. [IBM Knowledge Catalog as a Service APIs](https://cloud.ibm.com/apidocs/knowledge-catalog)\n3. [IBM watsonx.ai as a Service APIs](https://cloud.ibm.com/apidocs/watsonx-ai)\n\nYou can use a collection of Watson Data REST APIs associated with Watson Studio and Watson Knowledge Catalog to manage data-related assets and the people who need to use these assets.\n\n**Refine data**\nUse the sampling APIs to create representative subsets of the data on which to test and refine your data cleansing and shaping operations. To better understand the contents of your data, you can create profiles of your data assets that include a classification of the data and additional distribution information which assists in determining the data quality.\n\n**Catalog data**\nUse the catalog APIs to create catalogs to administer your assets, associate properties with those assets, and organize the users who use the assets. Assets can be notebooks or connections to files, database sources, or data assets from a connection.\n\n**Data policies**\nUse the data policy APIs to implement data policies and a business glossary that fits to your organization to control user access rights to assets and to make it easier to find data.\n\n**Ingest streaming data**\nUse the streams flow APIs to hook up continuous, unidirectional flows of massive volumes of moving data that you can analyze in real time.\n\n**API Endpoint**\n\n```\nhttps://api.dataplatform.cloud.ibm.com\n\n```\n\n## Creating an IAM bearer token\n\nBefore you can call a Watson Data API you must first create an [IAM](https://cloud.ibm.com/docs/account?topic=account-iamoverview) bearer token. Each token is valid only for one hour, and after a token expires you must create a new one if you want to continue using the API. The recommended method to retrieve a token programmatically is to create an API key for your IBM Cloud identity and then use the IAM token API to exchange that key for a token.\n\nYou can create a token in IBM Cloud or by using the IBM Cloud command line interface (CLI).\n\nTo create a token in the IBM Cloud:\n\n1.  Log in to [IBM Cloud](https://cloud.ibm.com/) and select **Manage > Access (IAM) > API keys**.\n2.  Create an API key for your own personal identity, copy the key value, and save it in a secure place. After you leave the page, you will no longer be able to access this value.\n3.  With your API key, set up Postman or another REST API tool and run the following command to the right\n\nYou can read more about managing API keys at [Understanding API keys](https://cloud.ibm.com/docs/account?topic=account-manapikey) documentation page.\n\n**Curl command with API key to retrieve token**\n```\ncurl -X POST 'https://iam.cloud.ibm.com/identity/token' \\\n  -H 'Content-Type: application/x-www-form-urlencoded' \\\n  -d 'grant_type=urn:ibm:params:oauth:grant-type:apikey&apikey=MY_APIKEY'\n```\n\n**Response**\n```json\n{\n\"access_token\": \"eyJhbGciOiJIUz......sgrKIi8hdFs\",\n\"refresh_token\": \"SPrXw5tBE3......KBQ+luWQVY=\",\n\"token_type\": \"Bearer\",\n\"expires_in\": 3600,\n\"expiration\": 1473188353\n}\n```\n\n4.  Use the value of the `access_token` property for your Watson Data API calls. Set the `access_token` value as the authorization header parameter for requests to the Watson Data APIs. The format is `Authorization: Bearer <access_token_value_here>`. For example:\n    `Authorization: Bearer eyJhbGciOiJIUz......sgrKIi8hdFs`\n\nTo create a token by using the IBM Cloud CLI:\n\n1.  Follow the steps to install the CLI, log in to IBM Cloud, and get the token described [here](https://cloud.ibm.com/docs/monitoring?topic=monitoring-api_token#api_iam_token_get).\n\n    Remove `Bearer` from the returned IAM token value in your API calls.\n\n## Versioning\n\nWatson Data API has a major, minor, and patch version, following industry conventions on semantic versioning: Using the version number format MAJOR.MINOR.PATCH, the MAJOR version is incremented when incompatible API changes are made, the MINOR version is incremented when functionality is added in a backwards-compatible manner, and the PATCH version is incremented when backwards-compatible bug fixes are made. The service major version is represented in the URL path.\n\n## Sorting\n\nSome of the Watson Data API collections provide custom sorting support. Custom sorting is implemented using the `sort` query parameter. Service collections can also support single-field or multi-field sorting. The `sort` parameter in collections that support single-field sorting can contain any one of the valid sort fields.\n\nFor example, the following expression would sort accounts on company name (ascending):`GET /v2/accounts?sort=company_name`.\n\nYou can also add a + or - character, indicating “ascending” or “descending,” respectively.\n\nFor example, the expression below would sort on the last name of the account owner, in descending order:`GET /v2/accounts?sort=-owner.last_name`.\n\nThe `sort` parameter in collections that support sorting on multiple fields can contain a comma-separated sequence of fields (each, optionally, with a + or -) in the same format as the single-field sorting. Sorts are applied to the data set in the order that they are provided. For example, the expression below would sort accounts first on company name (ascending) and second on owner last name (descending): `GET /v2/accounts?sort=company_name,-owner.last_name`\n\n## Filtering\n\nSome of the Watson Data API collections provide filtering support. You can specify one or more filters where each supported field is required to match a specific value for basic filtering. The query parameter names for a basic filter must exactly match the name of a primitive field on a resource in the collection or a nested primitive field where the '.' character is the hierarchical separator. The only exception to this rule is for primitive arrays. In primitive arrays, such as tags, a singular form of the field is supported as a filter that matches the resource if the array contains the supplied value. Some of the Watson Data API collections can also support extended filtering comparisons for the following field types: Integer and float, date and date/time, identifier and enumeration, and string.\n\n## Rate Limiting\n\nThe following rate limiting headers are supported by some of the Watson Data service APIs: 1. X-RateLimit-Limit: If rate limiting is active, this header indicates the number of requests permitted per hour; 2. X-RateLimit-Remaining: If rate limiting is active, this header indicates the number of requests remaining in the current rate limit window; 3. X-RateLimit-Reset: If rate limiting is active, this header indicates the time at which the current rate limit window resets, as a UNIX timestamp.\n\n## Error Handling\n\nResponses with 400-series or 500-series status codes are returned when a request cannot be completed. The body of these responses follows the error model, which contains a code field to identify the problem and a message field to explain how to solve the problem. Each individual endpoint has specific error messages. All responses with 500 or 503 status codes are logged and treated as a critical failure requiring an emergency fix.\n\n## Connections\n\nA connection is the information necessary to create a connection to a data source or a repository. You create a connection asset by providing the connection information.\n\n#### List data source types\n\nData sources are where data can be written or read and might include relational database systems, file systems, object storage systems and others.\n\nTo list supported data source types, call the following GET method:\n\n```\nGET /v2/datasource_types\n```\n\nThe response to the GET method includes information about each of the sources and targets that are currently supported.  The response includes a unique ID property value `metadata.asset_id`, name, and a label.  The `metadata.asset_id` property value should be used for the data source in other APIs that reference a data source type.  Additional useful information such as whether that data source can be used as a source or target (or both) is also included.\n\nYou can also view a table of the individual data source properties obtained by this GET method at https://dataplatform.cloud.ibm.com/connections/docs.\n\nUse the `connection_properties=true` query parameter to return a set of properties for each data source type that is used to define a connection to it.  Use the  `interaction_properties=true` query parameter to return a set of properties for each data source type that is used to interact with a created connection.  Interaction properties for a relational database might include the table name and schema from which to retrieve data.\n\nUse the `_sort` query parameter to order the list of data source type returned in the response.\n\nA default maximum of 100 data source type entries are returned per page of results.  Use the `_limit` query parameter with an integer value to specify a lower limit.\n\nMore data source types than those on the first page of results might be available.  Additional properties generated from the page size initially specified with `_limit` are returned in the response. Call a GET method using the value of the `next.href` property to retrieve the next page of results.  Call a GET method using the value in the `prev.href` property to retrieve the previous page of results.  Call a GET method using the value in the `last.href` property to retrieve the last page of results.\n\nThese URIs use the `_offset` and `_limit` query parameters to retrieve a specific block of data source types from the full list.  Alternatively, you can use a combination of the  `_offset` and `_limit` query parameters to retrieve a custom block of results.\n\n#### Create a connection\n\nConnections to any of the supported data source types returned by the previous method can be created and persisted in a catalog or project.\n\nTo create a connection, call the following POST method:\n\n```\nPOST /v2/connections\n```\n\nA new connection can be created in a catalog or project.  Use the `catalog_id` **or** `project_id` query parameter to specify where to create the connection asset. Either `catalog_id` or `project_id` is required.\n\nThe request body for the method is a UTF-8 encoded JSON document and includes the data source type ID (obtained in the `List data source types` section), its unique name in the catalog or project space, and a set of connection properties specific to the data source.  Some connection properties are required.\n\nThe following example shows the request body used for creating a connection to IBM dashDB:\n\n```json\n{\n     \"datasource_type\": \"cfdcb449-1204-44ba-baa6-9a8a878e6aa7\",\n\t \"name\":\"My-DashDB-Connection\",\n     \"properties\": {\n\t   \"host\":\"dashDBhost.com\",\n\t   \"port\":\"50001\",\n\t   \"database\":\"MYDASHDB\",\n       \"password\": \"mypassword\",\n       \"username\": \"myusername\"\n     }\n}\n```\n\nBy default, the physical connection to the data source is tested when the connection is created. Use the  `test=false` query parameter to disable the connection test.\n\nA response payload containing a connection ID and other metadata is returned when a connection is successfully created.  Use the connection ID as path parameter in other REST APIs when a connection resource must be referenced.\n\n#### Discover connection assets\n\nData sources contain data and metadata describing the data they contain.\n\nTo discover or browse the data or metadata in a data source, call the following GET method:\n\n```\nGET /v2/connections/{connection_id}/assets?path=\n```\n\nUse the `catalog_id` **or** `project_id` query parameter to specify where the connection asset was created. Either `catalog_id` or `project_id` is required.\n\n`connection_id` is the ID of the connection asset returned from the `POST https://{service_URL}/v2/connections` method, which created the connection asset.\n\nThe `path` query parameter is required and is used to specify the hierarchical path of the asset within the data source to be browsed.  In a relational database, for example, the path might represent a schema and table.  For a file object, the path might represent a folder hierarchy.\n\nEach asset in the assets array returned by this method includes a property containing its path in the hierarchy to facilitate the next call to drill down deeper in the hierarchy.\n\nFor example, starting at the root path in an RDBMS will return a list of schemas:\n\n```json\n{\n    \"path\": \"/\",\n    \"asset_types\": [\n        {\n            \"type\": \"schema\",\n            \"dataset\": false,\n            \"dataset_container\": true\n        }\n    ],\n    \"assets\": [\n        {\n            \"id\": \"GOSALES\",\n            \"type\": \"schema\",\n            \"name\": \"GOSALES\",\n            \"path\": \"/GOSALES\"\n        },\n    ],\n    \"fields\": [],\n    \"first\": {\n        \"href\": \"https://wdp-dataconnect-ys1dev.stage1.mybluemix.net/v2/connections/4b28b5c1-d818-4ad2-bcf9-7de08e776fde/assets?catalog_id=75a3062b-e40f-4bc4-9519-308ee1b5b251&_offset=0&_limit=100\"\n    },\n    \"prev\": {\n        \"href\": \"https://wdp-dataconnect-ys1dev.stage1.mybluemix.net/v2/connections/4b28b5c1-d818-4ad2-bcf9-7de08e776fde/assets?catalog_id=75a3062b-e40f-4bc4-9519-308ee1b5b251&_offset=0&_limit=100\"\n    },\n    \"next\": {\n        \"href\": \"https://wdp-dataconnect-ys1dev.stage1.mybluemix.net/v2/connections/4b28b5c1-d818-4ad2-bcf9-7de08e776fde/assets?catalog_id=75a3062b-e40f-4bc4-9519-308ee1b5b251&_offset=100&_limit=100\"\n    }\n}\n```\n\nDrill down into the GOSALES schema using the `path` property for the GOSALES schema asset to discover the list of table assets in the schema.\n\n```\nGET /v2/connections/{connection_id}/assets?catalog_id={catalog_id}&path=/GOSALES\n```\n\nThe list of table type assets is returned in the response.\n\n```json\n{\n    \"path\": \"/GOSALES\",\n    \"asset_types\": [\n        {\n            \"type\": \"table\",\n            \"dataset\": true,\n            \"dataset_container\": false\n        }\n    ],\n    \"assets\": [\n        {\n            \"id\": \"BRANCH\",\n            \"type\": \"table\",\n            \"name\": \"BRANCH\",\n            \"description\": \"BRANCH contains address information for corporate offices and distribution centers.\",\n            \"path\": \"/GOSALES/BRANCH\"\n        },\n        {\n            \"id\": \"CONVERSION_RATE\",\n            \"type\": \"table\",\n            \"name\": \"CONVERSION_RATE\",\n            \"description\": \"CONVERSION_RATE contains currency exchange values.\",\n            \"path\": \"/GOSALES/CONVERSION_RATE\"\n        }\n    ],\n    \"fields\": [],\n    \"first\": {\n        \"href\": \"https://wdp-dataconnect-ys1dev.stage1.mybluemix.net/v2/connections/4b28b5c1-d818-4ad2-bcf9-7de08e776fde/assets?catalog_id=75a3062b-e40f-4bc4-9519-308ee1b5b251&_offset=0&_limit=100\"\n    },\n    \"prev\": {\n        \"href\": \"https://wdp-dataconnect-ys1dev.stage1.mybluemix.net/v2/connections/4b28b5c1-d818-4ad2-bcf9-7de08e776fde/assets?catalog_id=75a3062b-e40f-4bc4-9519-308ee1b5b251&_offset=0&_limit=100\"\n    },\n    \"next\": {\n        \"href\": \"https://wdp-dataconnect-ys1dev.stage1.mybluemix.net/v2/connections/4b28b5c1-d818-4ad2-bcf9-7de08e776fde/assets?catalog_id=75a3062b-e40f-4bc4-9519-308ee1b5b251&_offset=100&_limit=100\"\n    }\n}\n```\n\nUse the `fetch` query parameter with a value of either `data`, `metadata`, or both.  Data can only be fetched for *data set* assets.  In the response above, note the `asset_type` has the property `type` value of **table**.  Its `dataset` property value is **true**.  This means that data can be fetched from table type assets.  However, if you fetched assets from the connection root, the response would contain schema asset types, which are not data sets and thus fetching this data is not relevant.\n\nA default maximum of 100 metadata assets are returned per page of results.  Use the `_limit` query parameter with an integer value to specify a lower limit.  More assets than those on the first page of results might be available.\n\nAdditional properties generated from the page size initially specified with `_limit` are returned in the response. Call a GET method using the value of the `next.href` property to retrieve the next page of results.  Call a GET method using the value in the `prev.href` property to retrieve the previous page of results.  Call a GET method using the value in the `last.href` property to retrieve the last page of results.\n\nThese URIs use the `_offset` and `_limit` query parameters to retrieve a specific block of assets from the full list.  Alternatively, use a combination of the `_offset` and `_limit` query parameters to retrieve a custom block of results.\n\n#### Specify properties for reading delimited files\n\nWhen reading a delimited file using this method, specify property values to correctly parse the file based on its format.  These properties are passed to the method as a JSON object using the `properties` query parameter. The default file format (property `file_format`) is a CSV file.  If the file is a CSV, the following property values are set by default:\n\nProperty Name | Property Description | Default Value | Value Description\n--- | --- | --- | ---\n`quote_character` | quote character | `double_quote` | double quotation mark\n`field_delimiter` | field delimiter | `comma` |  comma\n`row_delimiter` | row delimiter | `carriage_return_linefeed` | carriage return followed by line feed\n`escape_character` | escape character | `double_quote` | double quotation mark\n<BR>\n\nFor CSV file formats, these property values can not be overwritten.  If it is necessary to modify these properties to properly read a delimited file, set the `file_format` property to `delimited`.  For generic delimited files, these properties have the following values:\n\nProperty Name | Property Description | Default Value | Value Description\n--- | --- | --- | ---\n`quote_character` | quote character | `none` | no character is used for a quote\n`field_delimiter` | field delimiter | _null_ |  no field delimiter value is set by default\n`row_delimiter` | row delimiter | `new_line` | Any new line representation\n`escape_character` | escape character | `none` | no character is used for an escape\n<BR>\n\nThis example sets file format properties for a generic delimited file:\n\n```\nGET https://{service_URL}/v2/connections/{connection_id}/assets?catalog_id={catalog_id}&path=/myFolder/myFile.txt&fetch=data&properties={\"file_format\":\"delimited\", \"quote_character\":\"single_quote\",\"field_delimiter\":\"colon\",\"escape_character\":\"backslash\"}\n```\n\nFor more information about this method see the [REST API Reference](https://console.ng.bluemix.net/apidocs/681?&language=node#introduction).\n\n#### Discover assets using a transient connection\n\nA data source's assets can be discovered without creating a persistent connection.\n\nTo browse assets without first creating a persistent connection, call the following POST method:\n\n```\nPOST https://{service_URL}/v2/connections/assets?path=\n```\n\nThis method is identical in behavior to the GET method in the `Discover connection assets`section except for two differences:\n\n1. You define the connection properties in the request body of the REST API. You do not reference the connection ID of a persistent connection with a query parameter.  The same JSON object used to create a persistent connection is used in the request body.\n1. You do not specify a catalog or project ID with a query parameter.\n\nSee the previous section to learn how to set properties used to read delimited files.\n\nFor more information about this method see the [REST API Reference](https://console.ng.bluemix.net/apidocs/681?&language=node#introduction).\n\n#### Update a connection\n\nTo modify the properties of a connection, call the following PATCH method:\n\n```\nPATCH /v2/connections/{connection_id}\n```\n\n`connection_id` is the ID of the connection asset returned from the `POST https://{service_URL}/v2/connections` method, which created the connection asset.\n\nUse the `catalog_id` **or** `project_id` query parameter to specify where the connection asset was created. Either `catalog_id` or `project_id` is required.\n\nSet the `Content-Type` header to `application/json-patch+json`.  The request body contains the connection properties to update using a JSON object in [JSON Patch format](http://jsonpatch.com).\n\nChange the port number of the connection and add a description using this JSON Patch:\n\n```json\n[\n\t{\n\t\t\"op\": \"add\",\n\t\t\"path\": \"/description\",\n\t\t\"value\": \"My new PATCHed description\"\n\t},\n\t{\n\t\t\"op\":\"replace\",\n\t\t\"path\":\"/properties/port\",\n\t\t\"value\":\"40001\"\n\t}\n]\n```\n\nBy default, the physical connection to the data source is tested when the connection is modified.  Use the `test=false` query parameter to disable the connection test.\n\nFor more information about this method see the [REST API Reference](https://console.ng.bluemix.net/apidocs/681?&language=node#introduction).\n\n#### Delete a connection\n\nTo delete a persistent connection, call the following DELETE method:\n\n```\nDELETE /v2/connections/{connection_id}\n```\n\n`connection_id` is the ID of the connection asset returned from the `POST https://{service_URL}/v2/connections` method, which created the connection asset.\n\nUse the `catalog_id` **or** `project_id` query parameter to specify where the connection asset was created. Either `catalog_id` or `project_id` is required.\n\n## Schedules\n\n#### Introduction\n\nSchedules allow you to run a data flow, a notebook, a data profile, or any other given source more than once. It supports various repeat types namely hour, day, week, month, and year with 2 repeat end options namely, end date and the maximum number of runs.\n\n#### Create a schedule\n\nTo create a schedule in a specified catalog or project, call the following POST method:\n\n```\n     HTTP Method : POST\n     URI : /v2/schedules\n```\n\nBefore you create a schedule, you must consider the following points:\n\n1. You must have a valid IAM token to make REST API calls and a project or catalog ID.\n\n2. You must be authorized (be assigned the correct role) to create schedules in the catalog or project.\n\n3. The start and end dates must be in the following format: `YYYY-MM-DDTHH:mm:ssZ` or `YYYY-MM-DDTHH:mm:ss.sssZ` (specified in RFC 3339).\n\n4. The supported repeat types are `hour`, `day`, `week`, `month`, and `year`.\n\n5. There are 2 repeat end options, namely `max_invocations` and `end_date`.\n\n6. The supported repeat interval is 1.\n\n7. There are 3 statuses for schedules, namely `enabled`, `disabled`, and `finished`. To create a schedule, the status must be `enabled`. The scheduling service updates the status to `finished` once it has finished running. You can stop or pause the scheduling service by updating the status to `disabled`.\n\n8. You can update the endpoint URI in the target HREF. Supported target methods are POST, PUT, PATCH, DELETE, and GET.\n\n9. Set `generate_iam_token=true`. When this option is set to true, the scheduling service generates an IAM token and passes it to the target URL at runtime. This IAM token is required to run schedules automatically at the scheduled intervals. This token is not to be confused with the IAM token required to make Watson Data API REST calls.\n\nThis POST method creates a schedule in a catalog with a defined start and a given end date:\n\n```json\n    {\n    \"catalog_id\": \"aeiou\",\n    \"description\": \"aeiou\",\n    \"name\": \"aeiou\",\n    \"tags\": [\"aeiou\"],\n    \"start_date\": \"2017-08-22T01:02:14.859Z\",\n    \"status\": \"enabled\",\n    \"repeat\": {\n        \"repeat_interval\": 1,\n        \"repeat_type\": \"hour\"\n    },\n    \"repeat_end\": {\n        \"end_date\": \"2017-08-24T01:02:14.859Z\"\n    },\n    \"target\": {\n        \"href\": \"https://api.dataplatform.cloud.ibm.com/v2/data_profiles?start=false\",\n        \"generate_iam_token\": true,\n        \"method\": \"POST\",\n        \"payload\": \"aeiou\",\n        \"headers\": [\n         {\n            \"name\": \"content-type\",\n            \"value\": \"application/json\",\n            \"sensitive\": false\n           }\n        ]\n      }\n    }\n```\n\n#### Get multiple schedules in a catalog or project\n\nTo get all schedules in the specified catalog or project, call the following GET method:\n\n     HTTP Method: GET\n     URI :/v2/schedules\n\nYou need the following information to get multiple schedules:\n\n1. A valid IAM token, schedule ID, and the catalog or project ID.\n\n2. You must be authorized to get schedules in the catalog or project.\n\nYou can filter the returned results by using the options `entity.schedule.name` and  `entity.schedule.status` and can filter matching types by using `StartsWith(starts:)` and `Equals(e:)`.\n\nYou can sort the returned results either in ascending or descending order by using one or more of the following options: `entity.schedule.name`, `metadata.create_time`, and `entity.schedule.status`.\n\n#### Get a schedule\n\nTo get a schedule in the specified catalog or project, call the following GET method:\n\n```\n     HTTP Method: GET\n     URI :/v2/schedules/{schedule_id}\n```\n\nYou need the following information to get a schedule:\n\n1. A valid IAM token, schedule ID, and the catalog or project ID.\n\n2. You must be authorized to get a schedule in the catalog or project.\n\n#### Update a schedule\n\nTo update a schedule in the specified catalog or project, call the following PATCH method:\n\n    HTTP Method: PATCH\n    URI :/v2/schedules/{schedule_id}\n\nYou need the following information to update a schedule:\n\n1. A valid IAM token, schedule ID, and the catalog or project ID.\n\n2. You must be authorized to update a schedule in the catalog or project.\n\nYou can update all the attributes under entity but can't update the attributes under meta-data.\n\nPatch supports the `replace`, `add`, and `remove` operations. The `replace` operation can be used with all the attributes under entity. The `add` and `remove` operations can only be used with the repeat end options, namely `max_invocations` and `end_date`.\n\nThe start and end dates must be in the following format: `YYYY-MM-DDTHH:mm:ssZ` or `YYYY-MM-DDTHH:mm:ss.sssZ` (specified in RFC 3339).\n\nThis PATCH method replaces the repeat type, removes the max invocations and adds an end date:\n\n```json\n    [\n     {\n     \"op\": \"remove\",\n     \"path\": \"/entity/schedule/repeat_end/max_invocations\",\n     \"value\":  20\n     },\n     {\n     \"op\": \"add\",\n     \"path\": \"/entity/schedule/repeat_end/end_date\",\n     \"value\": \"date\"\n     },\n     {\n     \"op\": \"replace\",\n     \"path\": \"/entity/schedule/repeat/repeat_type\",\n     \"value\":  \"week\"\n     }\n    ]\n```\n\n#### Delete a schedule\n\nTo delete a schedule in the specified catalog or project, call the following DELETE method:\n\n```\n    HTTP Method : DELETE\n    URI :{GATEWAY_URL}/v2/schedules/{schedule_id}\n```\n\n\":guid\" represents the schedule_id of the deleted schedule.\n\nYou need the following information to delete a schedule:\n\n1. A valid IAM token, schedule ID, and the catalog or project ID.\n\n2. You must be authorized to delete a schedule in the catalog or project.\n\n#### Delete multiple schedules\n\nTo delete multiple schedules in the specified catalog or project, call the following DELETE method:\n\n    HTTP Method: DELETE\n    URI :{GATEWAY_URL}/v2/schedules\n\n\":guid\" represents the schedule_id of the deleted schedule.\n\nYou need the following information to delete multiple  schedules:\n\n1. A valid IAM token, schedule ID, and the catalog or project ID.\n\n2. You must be authorized to delete schedules in the catalog or project.\n\n3. A comma-separated list of the schedule IDs. If schedule IDs are not listed in the parameter `schedule_ids`, the scheduling service will delete all the schedules in the catalog or project.\n\n<a name=\"Section_Catalogs__start\"></a>\n## Catalogs #\n\n[Catalog Overview](#Section_Catalog__Overview)\n\n[Catalog APIs](#Section_Catalog__APIs)\n\n   - [Get a Catalog](#Section_Catalog__GET_CATALOG)\n   - [Get Catalogs](#Section_Catalog__GET_CATALOGS)\n\n<a name=\"Section_Catalog__Overview\"></a>\n\nIBM Knowledge Catalog helps you easily organize, find and share data assets, analytical assets, etc. for many data science projects and for the users who need to use those assets.\n\nYou can use the Catalog API to create catalogs which are rich metadata repositories for organizing and exploring metadata.\n\n<a name=\"Section_Catalog__Overview__catalog_and_user_storage\"></a>\n\nThere are two phrases that will be used repeatedly throughout this (and the [\"Assets\"](#Section_Assets__start) and [\"Asset Types\"](#Section_Asset_Types__start)) documentation:\n\n   - `asset resource`: The primary content of the asset. Many assets have a resource that is stored in an external repository: a data file, connected data set, notebook file, dashboard definition, or model definition.\n\n   - `asset metadata`: The information about the asset resource. Each asset has a primary metadata document in a project or catalog and might have additional metadata documents.\n\nSee the [Asset Terminology](#Section_Asset__Terminology_Overview) section for more information about those two phrases.\n\n<a name=\"Section_Catalog__Overview_and_Terminology__catalogs_bucket\"></a>\nThere is one special user-provided storage that must be specified by the creator of a catalog at the time the catalog is created: a Cloud Object Storage bucket for public cloud deployment and a file system for hybrid cloud deployment.  We'll informally call that the **\"catalog's bucket\"**.  The creator of the catalog owns that bucket, but by providing that bucket's identification info during catalog creation, the catalog creator is allowing the IBM Knowledge Catalog graphical User Interface to store asset resources in that bucket and is allowing other IBM Knowledge Catalog APIs to stored (extended) asset metadata in that bucket.\n\nIf a user wants to store and retrieve asset resources (like spreadsheets, images, etc.) in the catalog's bucket, then that user can use the [Assets API](#Section_Assets__start) API to assist in that process.\n\nIn some cases, one of the other IBM Knowledge Catalog APIs (for example, the \"Profiling\" API) will store (extended) asset metadata documents in the catalog's bucket.\n\n<a name=\"Section_Catalog__APIs\"></a>\n\nThis section describes some of the individual Catalog APIs.\n\n<a name=\"Section_Catalog__GET_CATALOG\"></a>\n\n### Get a Catalog ###\n\nYou can get metadata about a catalog using the get Catalog API.  (Note: you aren't retrieving the actual **data** catalog with the GET Catalog API - you're just retrieving **metadata** that _describes_ the catalog.)\n\n<a name=\"Section_Catalog__GET_CATALOG__Request\"></a>\n\n#### Get Catalog - Request URL: ####\n\n```\nGET {service_URL}/v2/catalogs/{catalog_id}\n```\n\n#### Get Catalog - Response Body: ####\n\n```json\n{\n\t\"metadata\": {\n\t\t\"guid\": \"c6f3cbd8-2b7f-42fb-aa60-___\",\n\t\t\"url\": \"https://api.dataplatform.cloud.ibm.com/v2/catalogs/c6f3cbd8-2b7f-42fb-aa60-___\",\n\t\t\"creator_id\": \"IBMid-___\",\n\t\t\"create_time\": \"2018-11-06T17:40:32Z\"\n\t},\n\t\"entity\": {\n\t\t\"name\": \"CatalogForGettingStartedDoc\",\n\t\t\"description\": \"Catalog created for Getting Started doc\",\n\t\t\"generator\": \"Your catalog generator\",\n\t\t\"bss_account_id\": \"12345___\",\n\t\t\"capacity_limit\": 0,\n\t\t\"is_governed\": false,\n\t\t\"saml_instance_name\": \"IBM w3id\"\n\t},\n\t\"href\": \"https://api.dataplatform.cloud.ibm.com/v2/catalogs/c6f3cbd8-2b7f-42fb-aa60-___\"\n}\n```\n\nIn this case, the response for the Get Catalog request is identical to the response for the Create Catalog request.  If more activity had occurred with the catalog between the Create Catalog and the Get Catalog requests then there might have been some differences between the two responses.\n\n<a name=\"Section_Catalog__GET_CATALOGS\"></a>\n\n### Get Catalogs ###\n\nTo obtain the metadata for all the catalogs that you have access to (ie, are a collaborator of), you can call the GET Catalogs API.\n\n#### Get Catalogs - Request URL: ####\n\n```\nGET {service_URL}/v2/catalogs\n```\n\nNote: the above URL is the simplest URL for getting catalogs because it doesn't contain any parameters.  There are a number of optional parameters (`limit`, `bookmark`, `skip`, `include`, `bss_account_id`) to the above URL that you can make use of to limit the number of catalogs for which metadata is returned.\n\n#### Get Catalogs - Response Body: ####\n\n```json\n{\n  \"catalogs\": [\n    {\n      \"metadata\": {\n        \"guid\": \"c6f3cbd8-2b7f-42fb-aa60-___\",\n        \"url\": \"https://api.dataplatform.cloud.ibm.com/v2/catalogs/c6f3cbd8-2b7f-42fb-aa60-___\",\n        \"creator_id\": \"IBMid-___\",\n        \"create_time\": \"2018-11-06T17:40:32Z\"\n      },\n      \"entity\": {\n        \"name\": \"CatalogForGettingStartedDoc\",\n        \"description\": \"Catalog created for Getting Started doc\",\n        \"generator\": \"Your catalog generator\",\n        \"bss_account_id\": \"12345___\",\n        \"capacity_limit\": 0,\n        \"is_governed\": false,\n        \"saml_instance_name\": \"IBM w3id\"\n      },\n      \"href\": \"https://api.dataplatform.cloud.ibm.com/v2/catalogs/c6f3cbd8-2b7f-42fb-aa60-___\"\n    }\n  ],\n  \"nextBookmark\": \"g1AAAAFCeJzLYWBgYMlgTmHQSklKzi9KdUhJMjT___\",\n  \"nextSkip\": 0\n}\n```\n\nIn the above example, metadata for only one catalog is returned - the catalog created above.  An advantage of calling the GET Catalogs API is you don't have to remember the ID of any particular catalog in order to get the metadata for that catalog.\n\n<a name=\"Section_Assets__start\"></a>\n## Assets #\n\n   * [Asset Terminology](#Section_Asset__Terminology_Overview)\n\n   * [Assets API Overview](#Section_Asset__API_Overview)\n\n      - [Asset's Primary Metadata Document (or Card)](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document_Overview)\n         + [Parts of a Primary Metadata Document Figure](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document_Overview__figure)\n         + [\"metadata\"](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document__metadata_group)\n         + [\"entity\"](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document__entity_group)\n            * [Attributes](#Section_Assets__Overview_and_Terminology__Attributes)\n         + [\"attachments\"](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document__attachments_group)\n            * [Asset Resource Attachment](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document__attachments_group__Asset)\n            * [Extended Metadata Document Attachment(s)](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document_Overview__attachment__extended_metadata)\n      - [Other Assets API objects](#Section_Assets__Overview_and_Terminology__Asset__Other_Parts)\n\n   * [Assets API Examples](#Section_Asset__API_Examples)\n\n      - [Get Asset](#Section_Assets__Get_Asset)\n         * [Get Asset - for a Connection](#Section_Assets__Get_Asset__WDP_Connection)\n            + [Get Asset - Connection - Response Body](#Section_Assets__Get_Asset__WDP_Connection__Response)\n         * [Get Asset - for a CSV File](#Section_Assets__Get_Asset__CSV_File)\n            + [Get Asset - CSV File - Response Body - _Before_ Profiling](#Section_Assets__GET_ASSET__CSV_File__before_profiling)\n            + [Get Asset - CSV File - Response Body - _After_ Profiling](#Section_Assets__GET_ASSET__CSV_File__after_profiling)\n         * [Get Attachment - Extended Metadata Document](#Section_Assets__Request__GET_Extended_Metadata_document)\n         * [Get Attachment - Asset Resource](#Section_Assets__Request__GET_ASSET_RESOURCE)\n      - [Create Asset: book](#Section_Assets__Create_Asset_book)\n      - [Associate a Term with an Asset](#Section_Assets__Associate_Term_with_Asset)\n      - [Associate a Classification with an Asset](#Section_Assets__Associate_Classification_with_Asset)\n\n   * [Processing Duplicate Asset](#Section_Assets__DUPLICATE_ASSET)\n\n      - [Overview](#Section_Assets__DUPLICATE_ASSET__Overview)\n      - [What is a duplicate](#Section_Assets__DUPLICATE_ASSET__What_Is_A_Duplicate)\n      - [What to do with a duplicate](#Section_Assets__DUPLICATE_ASSET__What_To_Do_With_A_Duplicate)\n      - [Duplicate Detection Strategy](#Section_Assets__DUPLICATE_ASSET__Duplicate_Detection_Strategy)\n      - [Multiple duplicates](#Section_Assets__DUPLICATE_ASSET__Multiple_Duplicates)\n      - [How the duplicate asset is updated or overwritten](#Section_Assets__DUPLICATE_ASSET__How_The_Duplicate_Asset_Is_Updated_Or_Overwritten)\n      - [Backup revision](#Section_Assets__DUPLICATE_ASSET__Backup_Revision)\n      - [Check duplicates before creating an asset](#Section_Assets__DUPLICATE_ASSET__Check_Duplicates_Before_Creating_An_Asset)\n      - [Lineage and Activity event messages change](#Section_Assets__DUPLICATE_ASSET__Event_Messages)\n      - [Known issues/limitations](#Section_Assets__DUPLICATE_ASSET__Known_issues_limitations)\n      - [Troubleshooting](#Section_Assets__DUPLICATE_ASSET__Troubleshooting)\n\n<a name=\"Section_Asset__Terminology_Overview\"></a>\n\nFrom a high level, an asset is an item of data or data analysis in a project or catalog. Most of these assets consist of two parts:\n\n   - **Asset resource**: <a name=\"Section_Asset__Terminology_Overview__definition__Asset_Resource\"></a>The primary content of the asset. Many assets have a resource that is stored in an external repository: a data file (eg. text file, image, video, etc.), connected data set (eg. database table), notebook file, dashboard definition, or model definition. The Assets API does not affect this part of the asset.  Think of this as the object that's _being described_ by [asset metadata](#Section_Assets__Terminology_Overview__definition__Asset_Metadata) (ie, an asset resource is a \"decribee\").\n\n   - **Asset metadata**: <a name=\"Section_Assets__Terminology_Overview__definition__Asset_Metadata\"></a>The information about the asset resource. Each asset has a primary metadata document in a project or catalog and might have additional metadata documents. This is the part of the asset that you can get, create, or operate on with the Assets API.  Think of this as the object that's _doing the describing_ of an [asset resource](#Section_Asset__Terminology_Overview__definition__Asset_Resource) (ie, asset metadata is a \"describer\").\n\nA library is a useful analogy for understanding the scope of the Assets API. A library contains a set of books and an index. The index, or card catalog, contains a card about each book. A card has information about the book, including the location of the book. A Watson project or catalog contains only the card catalog part of the library. The books, or asset resources, are elsewhere. Consequently, the Assets API can return the location of an asset resource, but not affect the asset resource in any way.\n\nThe term **asset** encapsulates the following:\n\n   - **\\[1\\] [asset resource](#Section_Asset__Terminology_Overview__definition__Asset_Resource)**: the primary / initial resource that a user wants described by a primary metadata document.\n   - **\\[2\\] [primary metadata document](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document_Overview)**: a document added to a catalog to describe an asset resource.\n   - **\\[3\\] [attributes](#Section_Assets__Overview_and_Terminology__Attributes)**: chunks of data inside a primary metadata document that describe either the asset resource or a secondary / extended metadata document.\n   - **\\[4\\] [secondary / extended metadata documents](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document_Overview__attachment__extended_metadata)**: additional documents containing information related to the asset resource.  Attached to the primary metadata document. Can be generated by catalog processes, such as profiling.\n   - **\\[5\\] a combination of all of the above**: the IBM Knowledge Catalog UI presents information from each of the above on a single page and calls all that information an \"asset\".\n\nFor example, when you call the Get Assets API, you receive asset metadata (in a primary metadata document). The asset metadata might point to the location of the asset resource, but the Get Assets API does not return the asset resource. Similarly, when you run the Create Assets API, you create a primary metadata document that can, eventually, include the location of an existing asset resource.\n\n<a name=\"Section_Asset__API_Overview\"></a>\n\nThis overview section provides a [picture](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document_Overview__figure) of the parts of a [\"primary metadata document\"](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document_Overview) and then explains the parts of that picture.  The picture provides a kind of \"map\" of a primary metadata document, so it's recommended to spend a few minutes studying it.  Readers who prefer API examples can skip over the explanation of that picture that follows, and go straight to the [Assets API Examples](#Section_Asset__API_Examples) section.  However, the Assets API Examples section will often refer back to the terms and explanations discussed in this Assets API Overview section.\n\nNote: when calling any of the endpoints in the Assets API you must specify either a catalog ID or a project ID to indicate whether the metadata for an asset is (to be) in a catalog or a project.  Because the Assets API endpoints can be applied to either a catalog or a project, rather than repeating the phrase \"either a catalog or a project\" over and over throughout the rest of this documentation, only the term \"catalog\" will be used.  The possibility of instead using a \"project\" will be implied.\n\n<a name=\"Section_Assets__Overview_and_Terminology__Asset_Metadata_Document_Overview\"></a>\n### Asset Primary Metadata Document (or Card) ###\n\n<a name=\"Section_Assets__Overview_and_Terminology__definition__primary_metadata_document\"></a>\nA **primary metadata document** is a document that contains the primary metadata for an [asset resource](#Section_Asset__Terminology_Overview__definition__Asset_Resource).  Once a primary metadata document has been created and stored in the catalog, it's often _informally_ said that that asset resource has been <a name=\"Section_Assets__Overview_and_Terminology__definition__cataloged\"></a>\"**cataloged**\", or \"**added** to the catalog\".  Note: being cataloged, or added to the catalog, does _not_ mean the asset resource has been moved or copied and is now physically stored inside the catalog - it just means a primary metadata document has been created _for_ that asset resource, and that primary metadata document is now stored in the catalog.\n\nAlmost every Assets API endpoint revolves around creating, reading, modifying or deleting a primary metadata document.  JSON is natively used to store primary metadata documents in a catalog, and to transfer those documents in Assets API REST calls.  So, JSON examples of primary metadata documents will be used throughout this documentation.\n\n<a name=\"Section_Assets__Overview_and_Terminology__card_definition\"></a>\nIn this documentation, the term **card** (as in, an index **card** in a library's catalog) will often be used as a short _nickname_ for the phrase **\"primary metadata document\"**.  In this documentation, \"card\" and \"primary metadata document\" mean exactly the same thing.  The term \"card\" just saves us from reading and writing the lengthier phrase \"primary metadata document\" over and over.\n\n<a name=\"Section_Assets__Overview_and_Terminology__Asset_Metadata_Document_Overview__three_top_level_fields_of_a_card\"></a>\nA primary metadata document (ie, card) is a JSON object that's composed of up to three top-level fields, named as follows:\n\n  1. [**metadata**](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document__metadata_group): a JSON object containing metadata _common to all_ [asset types](#Section_Assets__Overview_and_Terminology__Asset_Type)\n  2. [**entity**](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document__entity_group): a JSON object containing [attributes](#Section_Assets__Overview_and_Terminology__Attributes), each containing metadata _specific to one_ asset type\n  3. [**attachments**](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document__attachments_group): an optional JSON array, each item of which is a JSON object containing _metadata for_ an attached (ie, externally stored) [asset resource](#Section_Asset__Terminology_Overview__definition__Asset_Resource) or [extended metadata document](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document_Overview__attachment__extended_metadata)\n\nFor a pictorial representation of a primary metadata document (ie, card) and its associated asset resource and extended metadata documents, see the [Parts of a Primary Metadata Document figure](#Section_Assets__Overview_and_Terminology__Asset_Metadata_Document_Overview__figure) below:\n\n<a name=\"Section_Assets__Overview_and_Terminology__Asset_Metadata_Document_Overview__figure\"></a>\n\n<svg version=\"1.2\" width=\"295.91mm\" height=\"288.29mm\" viewBox=\"0 0 29591 28829\" preserveAspectRatio=\"xMidYMid\" fill-rule=\"evenodd\" stroke-width=\"28.222\" stroke-linejoin=\"round\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:ooo=\"http://xml.openoffice.org/svg/export\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:presentation=\"http://sun.com/xmlns/staroffice/presentation\" xmlns:smil=\"http://www.w3.org/2001/SMIL20/\" xmlns:anim=\"urn:oasis:names:tc:opendocument:xmlns:animation:1.0\" xml:space=\"preserve\">\n <defs class=\"ClipPathGroup\">\n  <clipPath id=\"presentation_clip_path\" clipPathUnits=\"userSpaceOnUse\">\n   <rect x=\"0\" y=\"0\" width=\"29591\" height=\"28829\"/>\n  </clipPath>\n  <clipPath id=\"presentation_clip_path_shrink\" clipPathUnits=\"userSpaceOnUse\">\n   <rect x=\"29\" y=\"28\" width=\"29532\" height=\"28772\"/>\n  </clipPath>\n </defs>\n <defs>\n  <font id=\"EmbeddedFont_1\" horiz-adv-x=\"2048\">\n   <font-face font-family=\"Courier New embedded\" units-per-em=\"2048\" font-weight=\"normal\" font-style=\"normal\" ascent=\"1711\" descent=\"617\"/>\n   <missing-glyph horiz-adv-x=\"2048\" d=\"M 0,0 L 2047,0 2047,2047 0,2047 0,0 Z\"/>\n   <glyph unicode=\"}\" horiz-adv-x=\"442\" d=\"M 664,498 C 630,523 607,547 596,570 581,599 573,635 573,676 L 573,1036 C 573,1073 562,1104 540,1129 518,1154 491,1167 458,1170 437,1172 423,1176 417,1182 408,1191 404,1201 404,1213 404,1225 408,1235 417,1243 425,1251 437,1255 454,1255 507,1255 551,1238 586,1204 633,1159 657,1103 657,1036 L 657,676 C 657,639 668,609 691,584 713,559 741,545 775,542 793,540 806,535 814,528 821,521 825,511 825,498 825,485 821,474 814,467 806,460 793,455 775,453 740,450 712,437 690,412 668,387 657,356 657,319 L 657,-41 C 657,-104 637,-156 597,-197 557,-239 509,-260 454,-260 437,-260 425,-256 417,-248 408,-240 404,-230 404,-217 404,-205 408,-195 416,-187 423,-181 437,-177 458,-175 491,-172 519,-157 541,-132 562,-107 573,-77 573,-40 L 573,319 C 573,361 580,395 593,421 606,447 630,473 664,498 Z\"/>\n   <glyph unicode=\"{\" horiz-adv-x=\"442\" d=\"M 566,498 C 599,473 622,449 634,426 649,396 657,360 657,319 L 657,-40 C 657,-78 668,-109 690,-133 712,-158 739,-172 772,-175 793,-177 806,-181 813,-187 822,-195 826,-205 826,-217 826,-230 822,-240 813,-247 804,-255 792,-259 775,-259 722,-259 678,-242 643,-209 596,-163 572,-107 572,-41 L 572,319 C 572,356 561,387 539,412 517,437 489,450 455,453 436,455 423,460 416,467 409,474 405,485 405,498 405,511 409,521 416,528 423,535 436,540 455,542 490,545 518,559 540,584 561,609 572,639 572,676 L 572,1036 C 572,1099 592,1151 632,1193 672,1234 720,1255 776,1255 792,1255 804,1251 813,1243 822,1235 826,1225 826,1213 826,1201 822,1191 813,1183 807,1176 793,1172 772,1170 739,1167 711,1153 690,1128 668,1103 657,1073 657,1036 L 657,676 C 657,634 650,600 637,575 624,549 600,523 566,498 Z\"/>\n   <glyph unicode=\"y\" horiz-adv-x=\"1042\" d=\"M 620,0 L 230,781 205,781 C 185,781 171,785 162,793 153,801 149,811 149,823 149,832 151,840 156,847 160,854 166,859 173,862 180,865 190,866 205,866 L 435,866 C 455,866 469,862 478,854 487,846 491,836 491,823 491,811 487,801 478,793 469,785 455,781 435,781 L 322,781 665,92 1003,781 890,781 C 870,781 856,785 847,793 838,801 834,811 834,824 834,836 838,846 847,854 856,862 870,866 890,866 L 1119,866 C 1140,866 1154,862 1163,854 1172,846 1176,836 1176,823 1176,814 1173,806 1168,799 1163,792 1157,787 1150,785 1143,782 1125,781 1094,781 L 562,-302 693,-302 C 713,-302 727,-306 736,-313 745,-321 749,-331 749,-344 749,-356 745,-366 736,-374 727,-382 713,-386 693,-386 L 209,-386 C 189,-386 175,-382 166,-374 157,-367 153,-357 153,-344 153,-331 157,-321 166,-313 175,-306 189,-302 209,-302 L 472,-302 620,0 Z\"/>\n   <glyph unicode=\"x\" horiz-adv-x=\"1042\" d=\"M 672,453 L 1057,84 C 1082,84 1098,83 1105,81 1112,78 1118,73 1123,66 1128,59 1130,51 1130,42 1130,30 1126,20 1117,12 1108,4 1094,0 1073,0 L 803,0 C 782,0 768,4 759,12 750,20 746,30 746,42 746,55 750,65 759,73 768,80 782,84 803,84 L 942,84 615,397 290,84 430,84 C 450,84 464,80 473,73 482,65 486,55 486,42 486,30 482,20 473,12 464,4 450,0 430,0 L 157,0 C 137,0 123,4 114,12 105,20 101,30 101,42 101,51 104,59 109,66 114,73 119,78 126,81 132,83 148,84 173,84 L 558,453 216,781 C 192,781 177,782 171,785 164,788 159,793 154,800 149,807 146,815 146,824 146,836 150,846 159,854 168,862 182,866 203,866 L 432,866 C 453,866 467,862 476,854 484,846 488,836 488,823 488,811 484,801 476,793 467,785 453,781 432,781 L 332,781 615,508 900,781 800,781 C 780,781 766,785 757,793 748,801 743,811 743,824 743,836 747,846 756,854 765,862 779,866 800,866 L 1029,866 C 1049,866 1063,862 1072,854 1081,846 1085,836 1085,823 1085,815 1083,807 1078,800 1073,793 1067,788 1061,785 1054,782 1039,781 1015,781 L 672,453 Z\"/>\n   <glyph unicode=\"w\" horiz-adv-x=\"1112\" d=\"M 904,0 L 800,-1 615,539 431,-1 327,0 153,781 112,781 C 92,781 78,785 69,793 60,801 56,811 56,824 56,836 60,846 69,854 78,862 92,866 112,866 L 343,866 C 363,866 377,862 386,854 395,846 399,836 399,823 399,811 395,801 386,793 377,785 363,781 343,781 L 236,781 385,115 564,647 664,647 848,115 991,781 885,781 C 865,781 851,785 842,793 833,801 828,811 828,824 828,836 832,846 841,854 850,862 864,866 885,866 L 1115,866 C 1136,866 1150,862 1159,854 1168,846 1172,836 1172,823 1172,811 1168,801 1159,793 1150,785 1136,781 1115,781 L 1075,781 904,0 Z\"/>\n   <glyph unicode=\"v\" horiz-adv-x=\"1095\" d=\"M 688,0 L 546,0 201,781 115,781 C 95,781 81,785 72,793 63,801 59,811 59,824 59,836 63,846 72,854 81,862 95,866 115,866 L 430,866 C 450,866 464,862 473,854 482,846 486,836 486,823 486,811 482,801 473,793 464,785 450,781 430,781 L 291,781 599,84 636,84 938,781 798,781 C 778,781 764,785 755,793 746,801 742,811 742,824 742,836 746,846 755,854 764,862 778,866 798,866 L 1114,866 C 1135,866 1149,862 1158,854 1166,846 1170,836 1170,823 1170,811 1166,801 1158,793 1149,785 1135,781 1114,781 L 1029,781 688,0 Z\"/>\n   <glyph unicode=\"u\" horiz-adv-x=\"1024\" d=\"M 902,0 L 902,123 C 787,19 663,-33 530,-33 448,-33 386,-11 343,34 288,93 260,161 260,239 L 260,781 147,781 C 127,781 113,785 104,793 95,801 91,811 91,824 91,836 95,846 104,854 113,862 127,866 147,866 L 344,866 344,239 C 344,184 361,139 396,104 431,69 474,51 526,51 663,51 788,114 902,239 L 902,781 747,781 C 727,781 713,785 704,793 695,801 691,811 691,824 691,836 695,846 704,854 713,862 727,866 747,866 L 986,866 986,84 1057,84 C 1077,84 1091,80 1100,73 1109,65 1113,55 1113,42 1113,30 1109,20 1100,12 1091,4 1077,0 1057,0 L 902,0 Z\"/>\n   <glyph unicode=\"t\" horiz-adv-x=\"918\" d=\"M 442,866 L 898,866 C 918,866 932,862 941,854 950,846 954,836 954,823 954,811 950,801 941,793 932,785 918,781 898,781 L 442,781 442,222 C 442,173 462,133 501,100 540,67 597,51 672,51 729,51 790,60 856,77 922,94 973,113 1010,134 1023,143 1034,147 1043,147 1054,147 1063,143 1071,135 1079,126 1083,116 1083,105 1083,95 1079,86 1070,77 1049,55 997,31 915,6 832,-20 753,-33 678,-33 580,-33 502,-10 444,36 386,82 357,144 357,222 L 357,781 202,781 C 182,781 168,785 159,793 150,801 146,811 146,824 146,836 150,846 159,854 168,862 182,866 202,866 L 357,866 357,1114 C 357,1134 361,1148 369,1157 377,1166 387,1170 399,1170 412,1170 422,1166 430,1157 438,1148 442,1134 442,1114 L 442,866 Z\"/>\n   <glyph unicode=\"s\" horiz-adv-x=\"830\" d=\"M 892,811 C 892,830 896,844 904,853 912,862 922,866 934,866 947,866 957,862 965,853 973,844 977,830 977,809 L 977,665 C 977,645 973,631 965,622 957,613 947,609 934,609 923,609 913,613 906,620 898,627 893,639 892,656 888,696 867,729 830,755 775,792 703,811 613,811 519,811 446,792 394,754 355,725 335,693 335,658 335,618 358,585 405,558 437,539 498,525 587,515 704,502 785,488 830,472 895,449 943,416 975,375 1006,334 1022,289 1022,241 1022,170 988,106 919,51 850,-5 750,-33 617,-33 484,-33 376,1 291,68 291,45 290,31 287,24 284,17 280,12 273,7 266,2 258,0 249,0 237,0 227,4 219,13 211,22 207,36 207,56 L 207,229 C 207,249 211,263 219,272 226,281 236,285 249,285 261,285 271,281 280,273 288,264 292,253 292,239 292,208 300,183 315,162 338,130 376,104 427,83 478,62 540,51 614,51 723,51 805,71 858,112 911,153 938,196 938,241 938,293 911,335 857,366 802,397 723,418 619,429 514,440 439,454 394,471 349,488 313,514 288,549 263,584 250,621 250,661 250,733 285,790 356,833 427,875 511,896 609,896 725,896 819,868 892,811 Z\"/>\n   <glyph unicode=\"r\" horiz-adv-x=\"953\" d=\"M 514,866 L 514,654 C 623,753 705,816 760,845 814,873 864,887 910,887 960,887 1007,870 1050,837 1093,803 1114,777 1114,760 1114,747 1110,737 1102,729 1093,720 1083,716 1070,716 1063,716 1058,717 1053,720 1048,722 1040,729 1027,742 1004,765 983,781 966,790 949,799 932,803 915,803 878,803 834,788 783,759 731,730 641,658 514,544 L 514,84 886,84 C 907,84 921,80 930,73 939,65 943,55 943,42 943,30 939,20 930,12 921,4 907,0 886,0 L 227,0 C 207,0 193,4 184,12 175,19 171,29 171,41 171,52 175,62 184,70 192,77 206,81 227,81 L 430,81 430,781 275,781 C 255,781 241,785 232,793 223,801 219,811 219,824 219,836 223,846 232,854 240,862 254,866 275,866 L 514,866 Z\"/>\n   <glyph unicode=\"p\" horiz-adv-x=\"1077\" d=\"M 298,866 L 298,713 C 348,774 402,819 459,850 516,881 584,896 662,896 745,896 821,877 891,838 961,799 1015,746 1054,677 1092,608 1111,535 1111,459 1111,338 1068,235 982,150 895,64 789,21 663,21 513,21 391,82 298,204 L 298,-302 502,-302 C 522,-302 536,-306 545,-313 554,-321 558,-331 558,-344 558,-356 554,-366 545,-374 536,-382 522,-386 502,-386 L 101,-386 C 81,-386 67,-382 58,-374 49,-367 45,-357 45,-344 45,-331 49,-321 58,-313 67,-306 81,-302 101,-302 L 214,-302 214,781 101,781 C 81,781 67,785 58,793 49,801 45,811 45,824 45,836 49,846 58,854 67,862 81,866 101,866 L 298,866 Z M 1026,459 C 1026,556 991,639 921,708 850,777 764,811 663,811 561,811 475,776 404,707 333,638 298,555 298,459 298,362 333,279 404,210 475,141 561,106 663,106 764,106 849,141 920,210 991,279 1026,362 1026,459 Z\"/>\n   <glyph unicode=\"o\" horiz-adv-x=\"936\" d=\"M 1084,431 C 1084,303 1038,194 947,103 855,12 744,-33 615,-33 484,-33 373,13 282,104 191,195 145,304 145,431 145,559 191,669 282,760 373,851 484,896 615,896 744,896 855,851 947,760 1038,669 1084,560 1084,431 Z M 999,431 C 999,536 962,626 887,700 812,774 721,811 614,811 507,811 417,774 342,700 267,625 229,536 229,431 229,327 267,238 342,163 417,88 507,51 614,51 721,51 812,88 887,163 962,237 999,326 999,431 Z\"/>\n   <glyph unicode=\"n\" horiz-adv-x=\"1024\" d=\"M 343,866 L 343,739 C 402,798 455,839 502,862 549,885 603,896 662,896 726,896 784,882 837,855 874,835 908,802 939,756 969,709 984,662 984,613 L 984,84 1055,84 C 1075,84 1089,80 1098,73 1107,65 1111,55 1111,42 1111,30 1107,20 1098,12 1089,4 1075,0 1055,0 L 830,0 C 809,0 795,4 786,12 777,20 773,30 773,42 773,55 777,65 786,73 795,80 809,84 830,84 L 900,84 900,599 C 900,658 878,709 835,750 792,791 734,811 661,811 606,811 558,800 517,778 476,755 418,700 343,611 L 343,84 438,84 C 458,84 472,80 481,73 490,65 494,55 494,42 494,30 490,20 481,12 472,4 458,0 438,0 L 164,0 C 144,0 130,4 121,12 112,20 108,30 108,42 108,55 112,65 121,73 130,80 144,84 164,84 L 259,84 259,781 188,781 C 168,781 154,785 145,793 136,801 132,811 132,824 132,836 136,846 145,854 154,862 168,866 188,866 L 343,866 Z\"/>\n   <glyph unicode=\"m\" horiz-adv-x=\"1182\" d=\"M 232,866 L 232,781 C 303,858 375,896 447,896 490,896 528,885 561,862 594,839 621,804 643,757 680,804 718,839 757,862 795,885 833,896 872,896 933,896 981,876 1017,837 1064,786 1088,731 1088,671 L 1088,84 1159,84 C 1179,84 1193,80 1202,73 1211,65 1215,55 1215,42 1215,30 1211,20 1202,12 1193,4 1179,0 1159,0 L 1004,0 1004,663 C 1004,706 991,741 965,769 939,797 909,811 875,811 844,811 812,800 778,777 744,754 705,708 662,641 L 662,84 732,84 C 752,84 766,80 775,73 784,65 788,55 788,42 788,30 784,20 775,12 766,4 752,0 732,0 L 577,0 577,657 C 577,702 564,739 538,768 511,797 482,811 449,811 419,811 389,801 360,782 319,755 277,708 232,641 L 232,84 303,84 C 323,84 337,80 346,73 355,65 359,55 359,42 359,30 355,20 346,12 337,4 323,0 303,0 L 77,0 C 57,0 43,4 34,12 25,20 21,30 21,42 21,55 25,65 34,73 43,80 57,84 77,84 L 148,84 148,781 77,781 C 57,781 43,785 34,793 25,801 21,811 21,824 21,836 25,846 34,854 43,862 57,866 77,866 L 232,866 Z\"/>\n   <glyph unicode=\"l\" horiz-adv-x=\"866\" d=\"M 657,1255 L 657,84 987,84 C 1008,84 1022,80 1031,73 1040,65 1044,55 1044,42 1044,30 1040,20 1031,12 1022,4 1008,0 987,0 L 243,0 C 223,0 209,4 200,12 191,20 187,30 187,42 187,55 191,65 200,73 209,80 223,84 243,84 L 573,84 573,1170 331,1170 C 311,1170 297,1174 288,1182 279,1190 274,1200 274,1213 274,1225 278,1235 287,1243 296,1251 310,1255 331,1255 L 657,1255 Z\"/>\n   <glyph unicode=\"k\" horiz-adv-x=\"971\" d=\"M 444,374 L 444,0 247,0 C 227,0 213,4 204,12 195,20 191,30 191,42 191,55 195,65 204,73 213,80 227,84 247,84 L 360,84 360,1170 247,1170 C 227,1170 213,1174 204,1182 195,1190 191,1200 191,1213 191,1225 195,1235 204,1243 213,1251 227,1255 247,1255 L 444,1255 444,481 801,781 758,781 C 738,781 724,785 715,793 706,801 702,811 702,823 702,836 706,846 715,854 724,862 738,866 758,866 L 1027,866 C 1048,866 1062,862 1071,854 1080,846 1084,836 1084,823 1084,811 1080,801 1071,793 1062,785 1048,781 1027,781 L 930,781 602,507 1017,84 1114,84 C 1135,84 1149,80 1158,73 1167,65 1171,55 1171,42 1171,30 1167,20 1158,12 1149,4 1135,0 1114,0 L 842,0 C 822,0 808,4 799,12 790,20 786,30 786,42 786,55 790,65 799,73 808,80 822,84 842,84 L 901,84 540,455 444,374 Z\"/>\n   <glyph unicode=\"i\" horiz-adv-x=\"866\" d=\"M 656,1297 L 656,1080 532,1080 532,1297 656,1297 Z M 659,866 L 659,84 989,84 C 1010,84 1024,80 1033,73 1042,65 1046,55 1046,42 1046,30 1042,20 1033,12 1024,4 1010,0 989,0 L 245,0 C 225,0 211,4 202,12 193,20 189,30 189,42 189,55 193,65 202,73 211,80 225,84 245,84 L 575,84 575,781 330,781 C 310,781 296,785 287,793 278,801 273,811 273,823 273,836 277,846 286,854 295,862 309,866 330,866 L 659,866 Z\"/>\n   <glyph unicode=\"h\" horiz-adv-x=\"1060\" d=\"M 338,1255 L 338,738 C 391,796 443,837 492,861 541,884 595,896 656,896 721,896 777,885 823,862 868,839 906,803 937,756 968,708 983,658 983,605 L 983,84 1077,84 C 1098,84 1112,80 1121,73 1129,65 1133,55 1133,42 1133,30 1129,20 1121,12 1112,4 1098,0 1077,0 L 804,0 C 783,0 769,4 760,12 751,20 747,30 747,42 747,55 751,65 760,73 769,80 783,84 804,84 L 898,84 898,599 C 898,660 876,710 833,751 789,792 728,812 650,812 589,812 536,797 493,767 462,746 410,695 338,616 L 338,84 433,84 C 453,84 467,80 476,73 485,65 489,55 489,42 489,30 485,20 476,12 467,4 453,0 433,0 L 159,0 C 139,0 125,4 116,12 107,20 103,30 103,42 103,55 107,65 116,73 125,80 139,84 159,84 L 254,84 254,1170 141,1170 C 121,1170 107,1174 98,1182 89,1190 85,1200 85,1213 85,1225 89,1235 98,1243 107,1251 121,1255 141,1255 L 338,1255 Z\"/>\n   <glyph unicode=\"g\" horiz-adv-x=\"989\" d=\"M 897,712 L 897,866 1094,866 C 1114,866 1128,862 1137,854 1146,846 1150,836 1150,823 1150,811 1146,801 1137,793 1128,785 1114,781 1094,781 L 981,781 981,-58 C 981,-114 969,-164 945,-208 929,-237 902,-268 865,-299 828,-330 794,-353 763,-366 732,-379 691,-386 640,-386 L 402,-386 C 382,-386 368,-382 359,-374 350,-367 346,-357 346,-344 346,-331 350,-321 359,-313 368,-305 382,-301 402,-301 L 643,-302 C 692,-302 737,-289 777,-264 816,-239 849,-202 875,-153 890,-125 897,-89 897,-46 L 897,206 C 807,83 691,21 549,21 434,21 334,64 251,150 167,235 125,338 125,459 125,580 167,683 251,768 334,853 434,896 549,896 691,896 807,835 897,712 Z M 897,459 C 897,558 863,641 796,709 728,777 647,811 553,811 459,811 378,777 311,709 244,640 210,557 210,459 210,360 244,277 311,209 378,140 459,106 553,106 647,106 728,140 796,209 863,277 897,360 897,459 Z\"/>\n   <glyph unicode=\"f\" horiz-adv-x=\"918\" d=\"M 559,781 L 559,84 928,84 C 948,84 962,80 971,73 980,65 984,55 984,42 984,30 980,20 971,12 962,4 948,0 928,0 L 271,0 C 251,0 237,4 228,12 219,20 215,30 215,42 215,55 219,65 228,73 237,80 251,84 271,84 L 474,84 474,781 292,781 C 272,781 258,785 249,793 240,801 236,811 236,824 236,836 240,846 249,854 258,862 272,866 292,866 L 474,866 474,993 C 474,1064 503,1125 560,1177 617,1229 693,1255 788,1255 867,1255 952,1248 1042,1233 1076,1228 1097,1221 1104,1214 1111,1207 1114,1197 1114,1185 1114,1173 1110,1163 1102,1156 1094,1148 1083,1144 1070,1144 1065,1144 1056,1145 1043,1147 942,1162 857,1170 788,1170 715,1170 658,1152 619,1116 579,1080 559,1039 559,993 L 559,866 952,866 C 972,866 986,862 995,854 1004,846 1008,836 1008,823 1008,811 1004,801 995,793 986,785 972,781 952,781 L 559,781 Z\"/>\n   <glyph unicode=\"e\" horiz-adv-x=\"918\" d=\"M 1069,413 L 213,413 C 228,304 273,217 350,151 426,84 520,51 633,51 696,51 761,61 830,82 899,103 955,130 998,164 1011,174 1022,179 1031,179 1042,179 1051,175 1059,167 1067,158 1071,148 1071,137 1071,126 1066,115 1055,104 1023,71 966,40 885,11 803,-18 719,-33 633,-33 489,-33 369,14 273,109 176,203 128,317 128,451 128,573 173,678 264,765 354,852 466,896 599,896 736,896 849,851 938,762 1027,672 1070,556 1069,413 Z M 984,498 C 967,591 924,666 853,724 782,782 697,811 599,811 501,811 417,782 346,725 275,668 231,592 214,498 L 984,498 Z\"/>\n   <glyph unicode=\"d\" horiz-adv-x=\"1060\" d=\"M 1026,1255 L 1026,84 1138,84 C 1159,84 1173,80 1182,73 1191,65 1195,55 1195,42 1195,30 1191,20 1182,12 1173,4 1159,0 1138,0 L 941,0 941,167 C 844,34 720,-33 570,-33 494,-33 421,-13 352,28 282,68 227,125 187,200 146,275 126,352 126,431 126,511 146,588 187,663 227,737 282,794 352,835 421,876 494,896 571,896 718,896 841,829 941,696 L 941,1170 829,1170 C 808,1170 794,1174 785,1182 776,1190 772,1200 772,1213 772,1225 776,1235 785,1243 794,1251 808,1255 829,1255 L 1026,1255 Z M 941,431 C 941,538 905,628 833,701 761,774 675,811 576,811 476,811 390,774 318,701 246,628 210,538 210,431 210,325 246,235 318,162 390,88 476,51 576,51 675,51 761,88 833,162 905,235 941,325 941,431 Z\"/>\n   <glyph unicode=\"c\" horiz-adv-x=\"953\" d=\"M 965,781 L 965,809 C 965,830 969,844 977,853 985,862 995,866 1007,866 1020,866 1030,862 1038,853 1046,844 1050,830 1050,809 L 1050,619 C 1049,598 1045,584 1038,575 1030,566 1020,562 1007,562 996,562 986,566 979,574 971,581 966,594 965,612 961,659 930,704 872,747 813,790 735,811 636,811 511,811 417,772 352,694 287,616 255,527 255,426 255,317 291,228 362,157 433,86 526,51 639,51 704,51 771,63 839,87 906,111 967,150 1022,203 1036,216 1048,223 1059,223 1070,223 1080,219 1088,212 1095,204 1099,194 1099,183 1099,154 1065,118 998,74 889,3 768,-33 635,-33 500,-33 389,10 302,97 215,183 171,292 171,425 171,560 216,673 305,762 394,851 506,896 641,896 770,896 878,858 965,781 Z\"/>\n   <glyph unicode=\"b\" horiz-adv-x=\"1077\" d=\"M 298,1255 L 298,698 C 399,830 522,896 665,896 788,896 893,852 980,763 1067,674 1111,564 1111,435 1111,304 1067,194 979,103 890,12 786,-33 665,-33 518,-33 396,33 298,165 L 298,0 101,0 C 81,0 67,4 58,12 49,20 45,30 45,42 45,55 49,65 58,73 67,80 81,84 101,84 L 214,84 214,1170 101,1170 C 81,1170 67,1174 58,1182 49,1190 45,1200 45,1213 45,1225 49,1235 58,1243 67,1251 81,1255 101,1255 L 298,1255 Z M 1027,431 C 1027,537 991,627 918,701 845,774 760,811 663,811 566,811 481,774 408,701 335,627 299,537 299,431 299,325 335,235 408,162 481,88 566,51 663,51 760,51 845,88 918,162 991,235 1027,325 1027,431 Z\"/>\n   <glyph unicode=\"a\" horiz-adv-x=\"971\" d=\"M 856,0 L 856,121 C 734,18 604,-33 465,-33 364,-33 286,-7 229,44 172,95 144,157 144,231 144,312 181,383 256,444 331,505 440,535 583,535 622,535 664,533 709,528 754,523 803,515 856,504 L 856,640 C 856,686 835,726 792,760 749,794 685,811 600,811 535,811 443,792 325,754 304,747 290,744 284,744 273,744 264,748 257,756 249,764 245,774 245,786 245,797 248,806 255,813 264,823 302,837 368,854 472,882 551,896 604,896 710,896 793,870 852,818 911,765 941,706 941,640 L 941,84 1053,84 C 1074,84 1088,80 1097,73 1106,65 1110,55 1110,42 1110,30 1106,20 1097,12 1088,4 1074,0 1053,0 L 856,0 Z M 856,418 C 817,429 775,438 731,443 687,448 641,451 592,451 470,451 375,425 306,372 254,333 228,286 228,231 228,180 248,138 288,103 327,68 385,51 461,51 534,51 601,66 664,95 726,124 790,170 856,233 L 856,418 Z\"/>\n   <glyph unicode=\"_\" horiz-adv-x=\"1236\" d=\"M 1173,-561 L 56,-561 C 36,-561 22,-557 13,-549 4,-542 0,-532 0,-519 0,-506 4,-496 13,-488 22,-481 36,-477 56,-477 L 1173,-477 C 1194,-477 1208,-481 1217,-488 1225,-496 1229,-506 1229,-519 1229,-532 1225,-542 1217,-549 1208,-557 1194,-561 1173,-561 Z\"/>\n   <glyph unicode=\"]\" horiz-adv-x=\"354\" d=\"M 575,-175 L 575,1170 372,1170 C 352,1170 338,1174 329,1182 320,1190 316,1200 316,1212 316,1225 320,1235 329,1243 338,1251 352,1255 372,1255 L 660,1255 660,-259 372,-259 C 352,-259 338,-255 329,-247 320,-240 316,-230 316,-217 316,-205 320,-195 329,-187 338,-179 352,-175 372,-175 L 575,-175 Z\"/>\n   <glyph unicode=\"\\\" horiz-adv-x=\"813\" d=\"M 314,1346 L 989,-102 C 996,-117 999,-127 999,-134 999,-145 995,-154 987,-162 978,-171 968,-175 957,-175 938,-175 923,-163 912,-138 L 237,1311 C 230,1325 227,1336 227,1343 227,1354 231,1363 240,1371 248,1379 258,1383 269,1383 287,1383 302,1371 314,1346 Z\"/>\n   <glyph unicode=\"[\" horiz-adv-x=\"354\" d=\"M 657,1170 L 657,-175 861,-175 C 881,-175 895,-179 904,-186 913,-194 917,-204 917,-217 917,-230 913,-240 904,-247 895,-255 881,-259 861,-259 L 573,-259 573,1255 861,1255 C 881,1255 895,1251 904,1243 913,1235 917,1225 917,1212 917,1200 913,1190 904,1182 895,1174 881,1170 861,1170 L 657,1170 Z\"/>\n   <glyph unicode=\"U\" horiz-adv-x=\"1024\" d=\"M 1021,1086 L 1021,384 C 1021,266 982,167 903,87 824,7 729,-33 618,-33 543,-33 477,-17 419,16 361,49 312,98 271,165 230,231 210,304 210,384 L 210,1086 139,1086 C 119,1086 105,1090 96,1098 87,1105 83,1115 83,1128 83,1141 88,1151 97,1160 105,1167 119,1170 139,1170 L 449,1170 C 469,1170 483,1166 492,1159 501,1151 505,1141 505,1128 505,1115 501,1105 492,1098 483,1090 469,1086 449,1086 L 294,1086 294,384 C 294,291 326,213 389,148 452,83 527,51 614,51 669,51 720,64 766,89 811,114 851,153 886,206 920,259 937,318 937,384 L 937,1086 782,1086 C 762,1086 748,1090 739,1098 730,1105 726,1115 726,1128 726,1141 730,1151 739,1159 748,1166 762,1170 782,1170 L 1092,1170 C 1112,1170 1126,1166 1135,1159 1144,1151 1148,1141 1148,1128 1148,1115 1144,1105 1135,1098 1126,1090 1112,1086 1092,1086 L 1021,1086 Z\"/>\n   <glyph unicode=\"T\" horiz-adv-x=\"936\" d=\"M 656,1086 L 656,84 874,84 C 894,84 908,80 917,73 926,65 930,55 930,42 930,30 926,20 917,12 908,4 894,0 874,0 L 353,0 C 333,0 319,4 310,12 301,20 297,30 297,42 297,55 301,65 310,73 319,80 333,84 353,84 L 571,84 571,1086 227,1086 227,795 C 227,774 223,760 216,751 208,742 198,738 185,738 173,738 163,742 155,751 147,760 143,774 143,795 L 143,1170 1084,1170 1084,795 C 1084,774 1080,760 1073,751 1065,742 1055,738 1042,738 1029,738 1019,742 1012,751 1004,760 1000,774 1000,795 L 1000,1086 656,1086 Z\"/>\n   <glyph unicode=\"S\" horiz-adv-x=\"866\" d=\"M 915,1086 L 915,1114 C 915,1134 919,1148 927,1157 934,1166 944,1170 957,1170 970,1170 980,1166 988,1157 995,1148 999,1134 999,1114 L 999,900 C 999,880 995,866 988,857 980,848 970,844 957,844 945,844 935,848 928,856 920,864 916,877 915,895 912,951 883,1001 829,1046 774,1091 703,1113 615,1113 522,1113 449,1089 394,1042 339,994 312,938 312,873 312,840 320,809 335,782 350,755 371,733 396,716 421,699 450,685 482,675 514,664 564,653 632,642 746,623 825,604 868,585 926,559 970,523 1000,477 1029,431 1044,377 1044,314 1044,218 1006,136 929,69 852,1 749,-33 619,-33 473,-33 356,13 269,104 L 269,56 C 269,36 265,22 258,13 250,4 240,0 227,0 215,0 205,4 197,13 189,22 185,36 185,56 L 185,288 C 185,309 189,323 197,332 204,341 214,345 227,345 239,345 249,341 257,333 264,325 268,312 269,294 272,233 305,177 368,127 430,76 514,51 619,51 724,51 808,77 869,130 930,183 960,245 960,317 960,361 948,400 925,435 902,469 867,496 821,516 789,530 722,546 621,563 482,586 381,622 320,670 259,718 228,786 228,875 228,963 263,1039 334,1102 404,1165 497,1197 612,1197 729,1197 830,1160 915,1086 Z\"/>\n   <glyph unicode=\"R\" horiz-adv-x=\"1077\" d=\"M 341,522 L 341,84 496,84 C 517,84 531,80 540,73 549,65 553,55 553,42 553,30 549,20 540,12 531,4 517,0 496,0 L 144,0 C 124,0 110,4 101,12 92,20 88,30 88,42 88,55 92,65 101,73 110,80 124,84 144,84 L 257,84 257,1086 144,1086 C 124,1086 110,1090 101,1098 92,1105 88,1115 88,1128 88,1141 92,1151 101,1159 110,1166 124,1170 144,1170 L 652,1170 C 757,1170 845,1137 917,1071 988,1004 1024,929 1024,846 1024,786 1002,730 958,677 913,624 839,579 735,544 795,503 846,456 889,404 932,352 1000,245 1094,84 L 1158,84 C 1178,84 1192,80 1201,73 1210,65 1214,55 1214,42 1214,30 1210,20 1201,12 1192,4 1178,0 1158,0 L 1046,0 C 942,186 862,311 805,374 748,437 682,487 608,522 L 341,522 Z M 341,606 L 570,606 C 643,606 710,619 770,646 829,673 873,704 900,740 927,776 940,813 940,850 940,906 912,959 856,1010 799,1061 731,1086 650,1086 L 341,1086 341,606 Z\"/>\n   <glyph unicode=\"O\" horiz-adv-x=\"1024\" d=\"M 1128,582 C 1128,470 1105,366 1060,271 1015,175 952,100 873,47 793,-6 707,-33 616,-33 481,-33 362,25 259,140 156,255 104,402 104,582 104,763 156,910 259,1025 362,1140 481,1197 616,1197 707,1197 793,1170 872,1117 951,1064 1014,989 1060,894 1105,799 1128,695 1128,582 Z M 1043,582 C 1043,719 1003,841 924,950 845,1059 742,1113 616,1113 498,1113 397,1061 314,958 230,854 188,729 188,582 188,426 232,299 320,200 407,101 506,51 616,51 742,51 845,105 924,214 1003,322 1043,445 1043,582 Z\"/>\n   <glyph unicode=\"N\" horiz-adv-x=\"1077\" d=\"M 1026,0 L 918,0 299,1047 299,84 454,84 C 475,84 489,80 498,73 507,65 511,55 511,42 511,30 507,20 498,12 489,4 475,0 454,0 L 145,0 C 124,0 110,4 101,12 92,20 88,30 88,42 88,55 92,65 101,73 110,80 124,84 145,84 L 215,84 215,1086 102,1086 C 82,1086 68,1090 59,1098 50,1105 46,1115 46,1128 46,1141 50,1151 59,1159 68,1166 82,1170 102,1170 L 322,1170 942,121 942,1086 787,1086 C 767,1086 753,1090 744,1098 735,1105 731,1115 731,1128 731,1141 735,1151 744,1159 752,1166 766,1170 787,1170 L 1097,1170 C 1117,1170 1131,1166 1140,1159 1149,1151 1153,1141 1153,1128 1153,1115 1149,1105 1140,1098 1131,1090 1117,1086 1097,1086 L 1026,1086 1026,0 Z\"/>\n   <glyph unicode=\"M\" horiz-adv-x=\"1130\" d=\"M 670,351 L 574,351 251,1086 235,1086 235,84 390,84 C 410,84 424,80 433,73 442,65 446,55 446,42 446,30 442,20 433,12 424,4 410,0 390,0 L 80,0 C 60,0 46,4 37,12 28,20 24,30 24,42 24,55 28,65 37,73 46,80 60,84 80,84 L 151,84 151,1086 98,1086 C 78,1086 64,1090 55,1098 46,1105 42,1115 42,1128 42,1141 46,1151 55,1159 64,1166 78,1170 98,1170 L 304,1170 622,446 935,1170 1141,1170 C 1162,1170 1176,1166 1185,1159 1194,1151 1198,1141 1198,1128 1198,1115 1194,1105 1185,1098 1176,1090 1162,1086 1141,1086 L 1089,1086 1089,84 1159,84 C 1180,84 1194,80 1203,73 1212,65 1216,55 1216,42 1216,30 1212,20 1203,12 1194,4 1180,0 1159,0 L 850,0 C 830,0 816,4 807,12 798,20 793,30 793,42 793,55 797,65 806,73 815,80 829,84 850,84 L 1005,84 1005,1086 987,1086 670,351 Z\"/>\n   <glyph unicode=\"J\" horiz-adv-x=\"1024\" d=\"M 943,1086 L 943,344 C 943,242 905,154 829,79 753,4 662,-33 557,-33 494,-33 432,-18 371,11 310,40 243,87 171,153 L 171,463 C 171,483 175,497 183,506 191,515 201,519 213,519 226,519 236,515 244,506 252,497 256,483 256,463 L 255,193 C 306,146 357,110 408,87 458,63 508,51 557,51 612,51 663,64 712,91 749,111 782,145 813,192 843,239 858,290 858,344 L 858,1086 529,1086 C 508,1086 494,1090 485,1098 476,1105 472,1115 472,1128 472,1141 476,1151 485,1159 494,1166 508,1170 529,1170 L 1143,1170 C 1163,1170 1177,1166 1186,1159 1195,1151 1199,1141 1199,1128 1199,1115 1195,1105 1186,1098 1177,1090 1163,1086 1143,1086 L 943,1086 Z\"/>\n   <glyph unicode=\"G\" horiz-adv-x=\"1042\" d=\"M 1071,434 L 1071,74 C 1007,39 943,12 880,-6 816,-24 752,-33 689,-33 599,-33 520,-20 452,7 383,34 325,71 278,119 231,167 194,221 168,280 141,339 128,415 128,506 L 128,660 C 128,752 151,842 197,929 242,1016 305,1082 384,1128 463,1174 550,1197 643,1197 778,1197 893,1160 986,1086 986,1119 987,1138 990,1145 992,1152 997,1158 1004,1163 1011,1168 1020,1170 1029,1170 1041,1170 1051,1166 1059,1157 1067,1148 1071,1134 1071,1114 L 1071,924 C 1071,903 1067,889 1059,881 1051,872 1041,868 1029,868 1018,868 1008,872 1001,880 993,887 989,901 988,920 984,977 947,1023 878,1059 808,1095 732,1113 650,1113 573,1113 503,1096 441,1063 378,1029 320,965 266,870 230,808 212,738 212,659 L 212,506 C 212,367 255,256 340,174 425,92 543,51 693,51 744,51 791,56 834,67 877,78 928,96 986,123 L 986,434 697,434 C 677,434 663,438 654,446 645,453 641,463 641,476 641,489 645,499 654,507 663,515 677,519 697,519 L 1101,518 C 1121,518 1135,514 1144,507 1153,499 1157,489 1157,476 1157,467 1154,459 1149,452 1144,445 1138,440 1131,438 1124,435 1104,434 1071,434 Z\"/>\n   <glyph unicode=\"E\" horiz-adv-x=\"971\" d=\"M 341,565 L 341,84 987,84 987,332 C 987,352 991,366 999,375 1006,384 1016,388 1029,388 1042,388 1052,384 1060,375 1067,366 1071,352 1071,332 L 1071,0 144,0 C 124,0 110,4 101,12 92,20 88,30 88,42 88,55 92,65 101,73 110,80 124,84 144,84 L 257,84 257,1086 144,1086 C 124,1086 110,1090 101,1098 92,1105 88,1115 88,1128 88,1141 92,1151 101,1159 110,1166 124,1170 144,1170 L 1027,1170 1027,881 C 1027,861 1023,847 1016,838 1008,829 998,825 985,825 972,825 962,829 955,838 947,847 943,861 943,881 L 943,1086 341,1086 341,649 642,649 642,744 C 642,764 646,778 654,787 662,796 672,800 685,800 697,800 707,796 715,787 723,778 727,764 727,744 L 727,470 C 727,450 723,436 715,427 707,418 697,414 685,414 672,414 662,418 654,427 646,436 642,450 642,470 L 642,565 341,565 Z\"/>\n   <glyph unicode=\"D\" horiz-adv-x=\"972\" d=\"M 285,84 L 285,1086 214,1086 C 194,1086 180,1090 171,1098 162,1105 158,1115 158,1128 158,1141 162,1151 171,1159 180,1166 194,1170 214,1170 L 666,1170 C 737,1170 801,1155 860,1126 918,1097 962,1063 993,1026 1046,963 1086,896 1113,825 1132,774 1142,713 1142,643 L 1142,527 C 1142,441 1123,358 1085,277 1047,196 984,126 895,66 829,22 753,0 666,0 L 214,0 C 194,0 180,4 171,12 162,20 158,30 158,42 158,55 162,65 171,73 180,80 194,84 214,84 L 285,84 Z M 369,84 L 674,84 C 745,84 811,107 873,153 934,199 981,254 1012,319 1043,383 1058,446 1058,509 L 1058,661 C 1058,713 1050,759 1033,800 1009,859 975,916 931,969 907,998 872,1025 825,1050 778,1074 728,1086 674,1086 L 369,1086 369,84 Z\"/>\n   <glyph unicode=\"C\" horiz-adv-x=\"989\" d=\"M 984,1055 L 984,1114 C 984,1134 988,1148 996,1157 1003,1166 1013,1170 1026,1170 1039,1170 1049,1166 1057,1157 1064,1148 1068,1134 1068,1114 L 1068,881 C 1068,860 1064,846 1057,837 1049,828 1039,824 1026,824 1015,824 1005,828 998,836 990,844 985,857 984,875 981,931 950,981 893,1024 816,1083 728,1113 629,1113 564,1113 503,1099 446,1070 403,1049 369,1024 344,994 300,942 265,884 239,821 220,774 211,722 211,663 L 211,516 C 211,391 256,282 347,190 438,97 543,51 663,51 735,51 800,67 857,98 914,129 969,177 1022,240 1033,254 1046,261 1060,261 1072,261 1082,257 1089,250 1096,243 1100,233 1100,222 1100,207 1086,183 1057,152 1002,91 941,45 873,14 804,-17 735,-33 665,-33 604,-33 543,-21 480,2 432,20 392,41 361,65 330,89 291,130 246,187 200,244 169,296 152,345 135,393 127,446 127,504 L 127,675 C 127,758 149,842 194,929 238,1015 299,1081 376,1128 453,1174 536,1197 626,1197 765,1197 884,1150 984,1055 Z\"/>\n   <glyph unicode=\"A\" horiz-adv-x=\"1200\" d=\"M 891,391 L 339,391 226,84 387,84 C 407,84 421,80 430,73 439,65 443,55 443,42 443,30 439,20 430,12 421,4 407,0 387,0 L 73,0 C 53,0 39,4 30,12 21,20 17,30 17,42 17,55 21,65 30,73 39,80 53,84 73,84 L 138,84 509,1086 261,1086 C 241,1086 227,1090 218,1098 209,1105 205,1115 205,1128 205,1141 209,1151 218,1159 227,1166 241,1170 261,1170 L 684,1170 1094,84 1159,84 C 1179,84 1193,80 1202,73 1211,65 1215,55 1215,42 1215,30 1211,20 1202,12 1193,4 1179,0 1159,0 L 846,0 C 825,0 811,4 802,12 793,20 789,30 789,42 789,55 793,65 802,73 811,80 825,84 846,84 L 1006,84 891,391 Z M 859,475 L 627,1086 596,1086 371,475 859,475 Z\"/>\n   <glyph unicode=\":\" horiz-adv-x=\"301\" d=\"M 597,866 L 633,866 C 670,866 702,853 729,826 756,799 769,768 769,731 769,692 756,659 729,633 702,607 670,594 633,594 L 597,594 C 560,594 528,607 501,634 474,661 461,692 461,729 461,768 475,801 502,827 529,853 560,866 597,866 Z M 597,241 L 633,241 C 670,241 702,228 729,202 756,175 769,143 769,106 769,67 756,35 729,9 702,-17 670,-30 633,-30 L 597,-30 C 560,-30 528,-17 501,10 474,36 461,68 461,105 461,144 475,176 502,202 529,228 560,241 597,241 Z\"/>\n   <glyph unicode=\"9\" horiz-adv-x=\"812\" d=\"M 959,710 C 916,633 864,576 805,537 745,498 684,479 621,479 563,479 507,496 453,529 398,562 355,611 323,676 291,740 275,807 275,878 275,981 307,1074 371,1159 434,1243 519,1285 626,1285 702,1285 771,1261 834,1214 897,1167 945,1098 980,1008 1025,893 1047,759 1047,606 1047,487 1028,389 990,310 965,257 928,205 879,155 830,105 774,64 713,33 629,-9 542,-30 451,-30 391,-30 342,-19 304,4 287,15 278,28 278,44 278,55 282,65 290,73 298,80 308,84 319,84 327,84 339,80 354,73 380,60 410,54 444,54 586,54 708,105 810,208 912,310 963,438 963,592 963,620 962,659 959,710 Z M 943,850 C 908,985 864,1078 812,1127 759,1176 698,1200 628,1200 557,1200 494,1170 440,1110 386,1050 359,973 359,879 359,788 386,712 440,653 494,593 555,563 623,563 662,563 701,574 740,595 778,616 814,648 848,691 870,720 902,773 943,850 Z\"/>\n   <glyph unicode=\"7\" horiz-adv-x=\"795\" d=\"M 897,1132 L 897,1170 295,1170 295,1096 C 295,1076 291,1062 284,1053 276,1044 266,1040 253,1040 241,1040 231,1044 223,1053 215,1062 211,1076 211,1096 L 211,1255 982,1255 982,1121 644,41 C 639,24 632,12 625,7 618,1 609,-2 600,-2 588,-2 578,2 570,10 562,18 558,27 558,38 558,45 560,54 564,66 L 897,1132 Z\"/>\n   <glyph unicode=\"3\" horiz-adv-x=\"830\" d=\"M 787,683 C 864,648 923,601 964,541 1005,480 1025,417 1025,352 1025,251 984,163 903,86 821,9 719,-30 596,-30 524,-30 449,-15 372,16 295,47 241,78 210,110 200,121 195,132 195,144 195,155 199,164 207,172 214,180 223,184 234,184 245,184 257,179 270,169 373,92 483,54 598,54 695,54 777,85 843,146 908,207 941,274 941,349 941,399 925,448 893,496 860,544 814,582 753,610 692,637 631,651 569,651 549,651 535,655 526,663 517,670 513,680 513,693 513,705 517,715 526,723 534,731 546,735 563,735 L 635,734 C 710,734 773,757 822,803 871,849 895,902 895,963 895,1026 869,1081 818,1129 767,1177 700,1201 617,1201 559,1201 506,1191 457,1171 408,1151 369,1124 340,1089 329,1076 321,1068 316,1065 310,1062 303,1060 296,1060 285,1060 275,1064 267,1072 259,1079 255,1088 255,1099 255,1126 284,1159 342,1200 423,1257 514,1285 617,1285 723,1285 810,1253 878,1190 946,1126 980,1050 980,962 980,906 964,853 931,803 898,753 850,713 787,683 Z\"/>\n   <glyph unicode=\"0\" horiz-adv-x=\"795\" d=\"M 1000,731 L 1000,523 C 1000,342 957,199 871,94 804,11 719,-30 616,-30 567,-30 520,-20 477,0 433,19 396,47 365,82 346,104 325,139 302,188 279,237 262,281 252,322 237,379 229,446 229,523 L 229,731 C 229,912 272,1056 358,1161 425,1244 510,1285 613,1285 663,1285 710,1275 753,1256 796,1236 833,1208 864,1173 884,1150 905,1115 928,1066 951,1017 967,973 978,933 993,876 1000,808 1000,731 Z M 916,720 C 916,799 905,873 883,942 860,1010 835,1064 807,1105 790,1128 769,1148 742,1165 704,1188 661,1200 614,1200 520,1200 446,1152 393,1056 340,960 313,848 313,720 L 313,535 C 313,456 324,382 347,313 369,244 394,190 423,149 439,126 460,107 487,90 525,66 568,54 616,54 709,54 783,102 836,199 889,295 916,407 916,535 L 916,720 Z\"/>\n   <glyph unicode=\"/\" horiz-adv-x=\"813\" d=\"M 992,1316 L 316,-132 C 305,-157 290,-169 272,-169 261,-169 251,-165 243,-156 234,-148 230,-139 230,-129 230,-121 233,-110 240,-96 L 915,1352 C 922,1367 929,1377 936,1382 943,1387 951,1389 960,1389 971,1389 981,1385 990,1377 998,1368 1002,1359 1002,1349 1002,1342 999,1331 992,1316 Z\"/>\n   <glyph unicode=\".\" horiz-adv-x=\"301\" d=\"M 597,241 L 633,241 C 670,241 702,228 729,202 756,175 769,143 769,106 769,67 756,35 729,9 702,-17 670,-30 633,-30 L 597,-30 C 560,-30 528,-17 501,10 474,36 461,68 461,105 461,144 475,176 502,202 529,228 560,241 597,241 Z\"/>\n   <glyph unicode=\"-\" horiz-adv-x=\"866\" d=\"M 1043,639 L 1043,519 186,519 186,639 1043,639 Z\"/>\n   <glyph unicode=\",\" horiz-adv-x=\"407\" d=\"M 448,302 L 721,302 424,-250 C 406,-283 384,-300 359,-300 342,-300 328,-294 317,-282 305,-271 299,-257 299,-240 299,-233 300,-226 302,-218 L 448,302 Z\"/>\n   <glyph unicode=\")\" horiz-adv-x=\"301\" d=\"M 639,497 C 639,420 629,339 609,254 589,168 551,69 494,-44 437,-157 396,-225 370,-248 362,-256 353,-260 344,-260 332,-260 322,-256 314,-247 305,-239 301,-229 301,-218 301,-211 303,-204 308,-196 381,-62 434,60 465,169 496,278 512,388 512,497 512,607 496,717 465,826 434,935 381,1057 308,1192 303,1200 301,1207 301,1214 301,1225 305,1235 314,1243 322,1251 332,1255 344,1255 353,1255 362,1251 370,1244 395,1221 435,1155 491,1045 547,935 586,838 607,753 628,668 639,583 639,497 Z\"/>\n   <glyph unicode=\"(\" horiz-adv-x=\"301\" d=\"M 605,498 C 605,575 615,656 635,742 655,828 693,927 750,1040 807,1153 848,1221 874,1244 882,1251 891,1255 900,1255 912,1255 922,1251 931,1243 939,1235 943,1225 943,1214 943,1207 941,1200 936,1192 863,1057 810,935 779,826 748,717 732,607 732,498 732,388 748,278 779,169 810,60 863,-62 936,-196 941,-204 943,-211 943,-218 943,-229 939,-239 931,-247 922,-256 912,-260 900,-260 891,-260 882,-256 874,-249 849,-226 809,-160 753,-50 697,60 658,157 637,242 616,327 605,412 605,498 Z\"/>\n   <glyph unicode=\"&apos;\" horiz-adv-x=\"266\" d=\"M 481,1255 L 747,1255 677,730 C 673,702 666,683 655,672 644,661 630,655 614,655 597,655 584,661 573,672 562,683 555,702 551,730 L 481,1255 Z\"/>\n   <glyph unicode=\"&quot;\" horiz-adv-x=\"689\" d=\"M 266,1234 L 532,1234 462,748 C 458,723 451,705 440,695 429,684 416,679 399,679 382,679 369,684 358,695 347,705 340,723 336,748 L 266,1234 Z M 695,1234 L 961,1234 891,748 C 887,723 880,705 869,695 858,684 845,679 829,679 812,679 798,684 787,695 776,705 769,723 766,748 L 695,1234 Z\"/>\n   <glyph unicode=\" \" horiz-adv-x=\"1235\"/>\n  </font>\n </defs>\n <defs>\n  <font id=\"EmbeddedFont_2\" horiz-adv-x=\"2048\">\n   <font-face font-family=\"Courier New embedded\" units-per-em=\"2048\" font-weight=\"normal\" font-style=\"italic\" ascent=\"1711\" descent=\"617\"/>\n   <missing-glyph horiz-adv-x=\"2048\" d=\"M 0,0 L 2047,0 2047,2047 0,2047 0,0 Z\"/>\n   <glyph unicode=\"n\" horiz-adv-x=\"1007\" d=\"M 527,866 L 500,739 C 573,800 636,841 688,863 739,885 795,896 855,896 938,896 1003,874 1050,830 1097,786 1120,729 1120,659 1120,646 1118,630 1115,613 L 1002,84 1073,84 C 1092,84 1104,81 1111,76 1118,70 1121,62 1121,51 1121,37 1116,25 1105,15 1094,5 1077,0 1055,0 L 829,0 C 810,0 798,3 791,9 784,15 781,23 781,34 781,47 787,59 798,69 809,79 825,84 847,84 L 918,84 1027,599 C 1030,614 1032,629 1032,643 1032,692 1015,732 981,764 947,795 898,811 835,811 777,811 725,799 680,776 634,753 565,698 473,611 L 361,84 456,84 C 475,84 487,81 494,76 501,70 504,62 504,51 504,37 499,25 488,15 477,5 460,0 438,0 L 164,0 C 145,0 133,3 126,9 119,15 116,23 116,34 116,47 122,59 133,69 144,79 160,84 182,84 L 277,84 425,781 354,781 C 335,781 323,784 316,790 309,796 306,804 306,815 306,828 312,840 323,851 334,861 350,866 372,866 L 527,866 Z\"/>\n   <glyph unicode=\"m\" horiz-adv-x=\"1182\" d=\"M 416,866 L 398,781 C 485,858 566,896 639,896 679,896 713,884 742,861 771,838 791,803 804,757 851,804 897,839 940,862 983,885 1025,896 1064,896 1113,896 1154,879 1187,846 1220,812 1236,768 1236,715 1236,702 1234,687 1230,671 L 1106,84 1176,84 C 1195,84 1208,81 1215,76 1222,70 1225,62 1225,51 1225,37 1219,25 1208,15 1197,5 1180,0 1158,0 L 1003,0 1144,663 C 1147,674 1148,686 1148,697 1148,732 1139,760 1120,781 1101,801 1077,811 1049,811 1018,811 986,802 953,783 908,757 857,710 798,641 L 679,84 750,84 C 769,84 781,81 788,76 795,70 798,62 798,51 798,37 793,25 782,15 771,5 754,0 732,0 L 577,0 717,657 C 720,670 721,683 721,696 721,730 711,758 692,779 672,800 649,811 623,811 593,811 562,802 529,784 482,757 428,709 368,641 L 250,84 320,84 C 339,84 352,81 359,76 366,70 369,62 369,51 369,37 363,25 352,15 341,5 324,0 302,0 L 77,0 C 58,0 46,3 39,9 32,15 29,23 29,34 29,47 35,59 46,69 57,79 73,84 95,84 L 165,84 314,781 243,781 C 224,781 212,784 205,790 198,796 195,804 195,815 195,828 201,840 212,851 223,861 239,866 261,866 L 416,866 Z\"/>\n   <glyph unicode=\"e\" horiz-adv-x=\"971\" d=\"M 1158,413 L 302,413 C 300,392 299,377 299,366 299,275 330,199 392,140 454,81 538,51 644,51 706,51 773,61 846,82 919,102 981,129 1033,164 1048,174 1061,179 1070,179 1079,179 1086,176 1092,170 1098,163 1101,155 1101,145 1101,133 1096,122 1085,111 1054,78 993,46 901,15 809,-17 716,-33 621,-33 498,-33 400,3 326,76 251,149 214,241 214,353 214,427 230,497 262,563 294,628 336,685 389,733 441,780 501,819 570,850 638,881 712,896 793,896 908,896 1000,862 1070,795 1139,728 1174,642 1174,537 1174,502 1169,461 1158,413 Z M 1090,498 C 1093,590 1066,665 1008,724 949,782 871,811 772,811 676,811 586,783 503,726 420,669 359,593 320,498 L 1090,498 Z\"/>\n   <glyph unicode=\"a\" horiz-adv-x=\"901\" d=\"M 857,0 L 882,121 C 739,18 597,-33 458,-33 369,-33 301,-13 256,27 211,67 188,117 188,177 188,268 228,347 308,412 407,494 537,535 697,535 774,535 863,525 964,504 L 993,640 C 995,650 996,660 996,670 996,709 981,740 950,763 909,795 850,811 773,811 708,811 609,791 475,751 460,746 449,744 442,744 433,744 426,747 420,753 414,759 411,767 411,777 411,790 416,801 426,811 435,821 473,834 538,851 653,881 739,896 795,896 890,896 962,875 1011,833 1059,791 1083,744 1083,691 1083,674 1081,657 1077,640 L 959,84 1072,84 C 1091,84 1103,81 1110,76 1117,70 1120,62 1120,51 1120,37 1115,25 1104,15 1093,5 1076,0 1054,0 L 857,0 Z M 946,418 C 871,440 785,451 688,451 554,451 447,420 366,358 305,311 275,258 275,198 275,155 291,119 323,92 354,65 403,51 469,51 542,51 612,65 681,94 750,122 825,168 906,233 L 946,418 Z\"/>\n  </font>\n </defs>\n <defs>\n  <font id=\"EmbeddedFont_3\" horiz-adv-x=\"2048\">\n   <font-face font-family=\"Courier New embedded\" units-per-em=\"2048\" font-weight=\"bold\" font-style=\"normal\" ascent=\"1711\" descent=\"617\"/>\n   <missing-glyph horiz-adv-x=\"2048\" d=\"M 0,0 L 2047,0 2047,2047 0,2047 0,0 Z\"/>\n   <glyph unicode=\"y\" horiz-adv-x=\"1183\" d=\"M 500,7 L 145,703 C 112,707 86,718 69,737 52,756 43,778 43,805 43,836 54,861 75,880 96,899 131,908 180,908 L 367,908 C 416,908 452,899 473,880 494,861 504,836 504,805 504,775 494,751 473,732 452,713 418,703 373,703 L 615,232 855,703 C 811,703 779,713 758,732 737,751 726,775 726,806 726,836 737,861 758,880 779,899 814,908 863,908 L 1056,908 C 1105,908 1140,899 1161,880 1182,861 1192,836 1192,805 1192,778 1183,755 1165,736 1147,717 1120,706 1085,703 L 615,-223 C 666,-223 700,-228 716,-238 748,-259 764,-288 764,-326 764,-356 754,-380 733,-399 712,-418 676,-428 627,-428 L 180,-428 C 131,-428 96,-418 75,-399 54,-380 43,-356 43,-326 43,-295 54,-270 75,-251 96,-232 131,-223 180,-223 L 384,-223 500,7 Z\"/>\n   <glyph unicode=\"x\" horiz-adv-x=\"1165\" d=\"M 768,472 L 1079,205 C 1116,203 1144,193 1163,174 1182,155 1191,131 1191,102 1191,72 1181,48 1160,29 1139,10 1103,0 1054,0 L 821,0 C 772,0 737,10 716,29 695,48 684,73 684,104 684,128 692,149 707,168 722,186 742,198 768,205 L 615,337 459,205 C 490,197 513,185 527,168 540,151 547,130 547,104 547,73 537,48 516,29 495,10 460,0 411,0 L 180,0 C 131,0 96,10 75,29 54,48 43,72 43,103 43,131 52,155 71,174 90,193 118,203 155,205 L 459,473 190,703 C 155,706 128,717 110,736 91,755 82,778 82,806 82,836 93,861 114,880 135,899 170,908 219,908 L 411,908 C 460,908 496,899 517,880 538,861 548,836 548,807 548,768 529,736 492,711 L 616,608 738,713 C 701,739 683,769 683,803 683,835 694,861 715,880 736,899 771,908 820,908 L 1010,908 C 1059,908 1095,899 1116,880 1137,861 1147,836 1147,805 1147,778 1138,755 1120,736 1101,717 1074,706 1038,703 L 768,472 Z\"/>\n   <glyph unicode=\"v\" horiz-adv-x=\"1182\" d=\"M 616,249 L 837,703 C 782,703 747,708 732,717 699,738 682,767 682,806 682,836 693,861 714,880 735,899 770,908 819,908 L 1100,908 C 1149,908 1185,899 1206,880 1227,861 1237,836 1237,805 1237,775 1227,751 1206,732 1185,713 1149,703 1100,703 L 1066,703 723,0 509,0 166,703 137,703 C 88,703 53,713 32,732 11,751 0,775 0,806 0,836 11,861 32,880 53,899 88,908 137,908 L 412,908 C 461,908 496,899 517,880 538,861 548,836 548,805 548,767 532,738 500,718 484,708 448,703 393,703 L 616,249 Z\"/>\n   <glyph unicode=\"u\" horiz-adv-x=\"1165\" d=\"M 1050,908 L 1050,205 C 1093,205 1125,195 1146,176 1167,157 1177,132 1177,102 1177,72 1167,48 1146,29 1125,10 1089,0 1040,0 L 845,0 845,47 C 786,20 730,0 677,-13 624,-26 573,-33 525,-33 458,-33 399,-19 350,10 301,38 262,77 233,127 212,163 202,208 202,262 L 202,703 167,703 C 118,703 83,713 62,732 41,751 30,775 30,806 30,836 41,861 62,880 83,899 118,908 167,908 L 407,908 407,298 C 407,255 418,223 439,203 460,182 492,172 535,172 576,172 621,180 669,197 716,213 775,242 845,285 L 845,703 771,703 C 722,703 687,713 666,732 645,751 634,775 634,806 634,836 645,861 666,880 687,899 722,908 771,908 L 1050,908 Z\"/>\n   <glyph unicode=\"t\" horiz-adv-x=\"1059\" d=\"M 564,703 L 564,292 C 564,248 573,219 591,205 619,183 669,172 741,172 846,172 942,194 1031,239 1065,256 1092,265 1111,265 1138,265 1161,255 1181,235 1200,215 1210,191 1210,162 1210,135 1199,112 1178,93 1145,62 1081,33 985,7 888,-20 807,-33 741,-33 614,-33 518,-5 455,50 391,105 359,172 359,252 L 359,703 285,703 C 236,703 201,713 180,732 159,751 148,775 148,806 148,836 159,861 180,880 201,899 236,908 285,908 L 359,908 359,1093 C 359,1142 369,1178 388,1199 407,1220 431,1230 462,1230 492,1230 517,1220 536,1199 555,1178 564,1142 564,1093 L 564,908 943,908 C 992,908 1028,899 1049,880 1070,861 1080,836 1080,805 1080,775 1070,751 1049,732 1028,713 992,703 943,703 L 564,703 Z\"/>\n   <glyph unicode=\"s\" horiz-adv-x=\"936\" d=\"M 836,668 C 803,689 768,704 731,715 694,725 656,730 616,730 537,730 474,717 427,691 406,680 396,667 396,654 396,639 410,624 438,609 459,598 507,588 581,578 717,559 812,541 865,522 935,497 989,461 1027,412 1065,363 1084,312 1084,258 1084,185 1052,123 987,74 894,3 774,-33 626,-33 567,-33 512,-28 462,-17 411,-7 365,8 323,28 313,19 302,13 291,8 280,3 268,1 256,1 224,1 199,12 180,33 161,54 151,89 151,138 L 151,207 C 151,256 161,292 180,313 199,334 223,344 254,344 279,344 299,337 316,324 333,310 346,286 355,253 386,226 424,206 468,193 512,179 563,172 620,172 714,172 787,187 839,216 864,231 876,246 876,262 876,289 858,311 823,328 788,345 715,360 604,372 439,389 329,423 274,472 219,521 191,581 191,652 191,725 222,786 284,835 368,902 478,935 614,935 661,935 707,931 751,922 794,913 836,899 876,880 889,889 901,896 912,901 923,906 933,908 942,908 970,908 993,898 1012,877 1031,856 1040,820 1040,771 L 1040,721 C 1040,676 1035,646 1024,630 1003,599 974,584 937,584 912,584 891,592 872,607 853,622 841,643 836,668 Z\"/>\n   <glyph unicode=\"r\" horiz-adv-x=\"1077\" d=\"M 572,908 L 572,780 C 658,842 726,883 776,904 825,925 872,935 915,935 982,935 1046,910 1109,861 1152,828 1173,794 1173,759 1173,730 1163,705 1143,685 1122,664 1098,654 1069,654 1044,654 1017,667 989,692 961,717 936,730 914,730 885,730 843,712 786,676 729,640 657,586 572,514 L 572,205 864,205 C 913,205 949,196 970,177 991,158 1001,133 1001,102 1001,72 991,48 970,29 949,10 913,0 864,0 L 245,0 C 196,0 161,10 140,29 119,48 108,72 108,103 108,133 119,158 140,177 161,196 196,205 245,205 L 367,205 367,703 293,703 C 244,703 209,713 188,732 167,751 156,775 156,806 156,836 167,861 188,880 209,899 244,908 293,908 L 572,908 Z\"/>\n   <glyph unicode=\"p\" horiz-adv-x=\"1201\" d=\"M 360,113 L 360,-223 483,-223 C 532,-223 568,-232 589,-251 610,-270 620,-295 620,-326 620,-356 610,-380 589,-399 568,-418 532,-428 483,-428 L 120,-428 C 71,-428 36,-418 15,-399 -6,-380 -17,-356 -17,-326 -17,-295 -6,-270 15,-251 36,-232 71,-223 120,-223 L 155,-223 155,703 120,703 C 71,703 36,713 15,732 -6,751 -17,775 -17,806 -17,836 -6,861 15,880 36,899 71,908 120,908 L 360,908 360,838 C 408,871 458,895 509,911 560,927 613,935 667,935 807,935 926,888 1025,793 1124,698 1173,589 1173,466 1173,331 1115,219 998,131 901,58 791,21 669,21 616,21 564,29 513,44 462,59 411,82 360,113 Z M 968,465 C 968,494 957,530 934,575 911,619 877,656 830,686 783,715 727,730 664,730 562,730 481,692 421,615 380,562 360,512 360,463 360,408 389,355 448,304 506,252 578,226 664,226 751,226 823,252 881,303 939,354 968,408 968,465 Z\"/>\n   <glyph unicode=\"o\" horiz-adv-x=\"1060\" d=\"M 1147,437 C 1147,358 1125,282 1082,209 1038,135 973,76 887,33 800,-11 710,-33 616,-33 523,-33 433,-11 348,32 263,75 198,133 153,207 108,281 86,358 86,439 86,521 109,602 154,681 199,760 265,822 350,867 435,912 523,935 616,935 709,935 799,912 886,866 972,819 1037,757 1081,679 1125,600 1147,520 1147,437 Z M 942,436 C 942,502 918,563 871,618 806,693 721,730 616,730 523,730 446,700 384,641 322,582 291,513 291,435 291,371 322,311 385,256 448,200 525,172 616,172 708,172 785,200 848,256 911,311 942,371 942,436 Z\"/>\n   <glyph unicode=\"n\" horiz-adv-x=\"1130\" d=\"M 407,908 L 407,839 C 444,871 486,895 531,911 576,927 624,935 677,935 798,935 894,897 965,822 1021,762 1049,683 1049,586 L 1049,205 C 1092,205 1124,196 1145,177 1166,158 1176,133 1176,102 1176,72 1166,48 1145,29 1124,10 1088,0 1039,0 L 854,0 C 805,0 770,10 749,29 728,48 717,72 717,103 717,133 727,158 748,177 769,196 801,205 844,205 L 844,592 C 844,637 832,669 808,690 777,717 730,730 667,730 620,730 578,721 543,703 507,684 462,645 407,586 L 407,205 C 460,205 494,200 509,190 542,170 558,141 558,102 558,72 548,48 527,29 506,10 470,0 421,0 L 188,0 C 139,0 104,10 83,29 62,48 51,72 51,103 51,140 67,169 99,190 115,200 149,205 202,205 L 202,703 C 159,703 127,713 106,732 85,751 75,776 75,806 75,836 86,861 107,880 128,899 163,908 212,908 L 407,908 Z\"/>\n   <glyph unicode=\"m\" horiz-adv-x=\"1342\" d=\"M 298,908 L 298,850 C 331,883 362,905 389,918 416,930 447,936 482,936 512,936 542,929 571,914 600,899 629,877 657,848 692,877 728,899 765,914 801,928 838,935 876,935 952,935 1014,915 1061,874 1124,821 1155,751 1155,664 L 1155,205 C 1198,205 1229,195 1250,176 1271,157 1281,132 1281,102 1281,72 1271,48 1250,29 1229,10 1194,0 1145,0 L 950,0 950,647 C 950,678 944,700 933,712 922,724 904,730 881,730 858,730 837,724 818,712 793,695 763,664 728,618 L 728,205 C 771,205 802,195 823,176 844,157 854,132 854,102 854,72 844,48 823,29 802,10 767,0 718,0 L 523,0 523,647 C 523,678 517,699 506,712 494,724 476,730 453,730 429,730 405,723 382,708 359,693 331,663 298,618 L 298,205 C 341,205 373,195 394,176 415,157 425,132 425,102 425,72 415,48 394,29 373,10 337,0 288,0 L 103,0 C 54,0 19,10 -2,29 -23,48 -34,72 -34,103 -34,133 -24,158 -3,177 18,196 50,205 93,205 L 93,703 C 50,703 18,713 -3,732 -24,751 -34,776 -34,806 -34,836 -23,861 -2,880 19,899 54,908 103,908 L 298,908 Z\"/>\n   <glyph unicode=\"i\" horiz-adv-x=\"989\" d=\"M 688,1297 L 688,1080 444,1080 444,1297 688,1297 Z M 716,908 L 716,205 962,205 C 1011,205 1047,196 1068,177 1089,158 1099,133 1099,102 1099,72 1089,48 1068,29 1047,10 1011,0 962,0 L 265,0 C 216,0 181,10 160,29 139,48 128,72 128,103 128,133 139,158 160,177 181,196 216,205 265,205 L 511,205 511,703 346,703 C 297,703 262,713 241,732 220,751 209,775 209,806 209,836 220,861 241,880 262,899 297,908 346,908 L 716,908 Z\"/>\n   <glyph unicode=\"h\" horiz-adv-x=\"1165\" d=\"M 403,1297 L 403,860 C 446,885 489,904 533,917 576,929 620,935 665,935 736,935 799,923 854,899 909,875 955,837 992,786 1028,734 1046,669 1046,590 L 1046,205 C 1098,205 1132,200 1148,190 1180,169 1196,140 1196,102 1196,72 1186,48 1165,29 1144,10 1109,0 1060,0 L 826,0 C 777,0 743,10 722,29 701,48 690,72 690,103 690,140 706,169 738,190 755,201 789,206 840,205 L 840,576 C 840,629 828,666 804,687 773,716 726,730 665,730 620,730 580,721 545,704 510,686 462,648 403,589 L 403,205 C 456,205 490,200 505,190 538,169 554,140 554,102 554,72 544,48 523,29 502,10 466,0 417,0 L 184,0 C 135,0 100,10 79,29 58,48 47,72 47,103 47,140 63,169 96,190 112,201 146,206 198,205 L 198,1092 163,1092 C 114,1092 79,1102 58,1121 37,1140 26,1164 26,1195 26,1225 37,1250 58,1269 79,1288 114,1297 163,1297 L 403,1297 Z\"/>\n   <glyph unicode=\"g\" horiz-adv-x=\"1147\" d=\"M 840,847 L 840,908 1080,908 C 1129,908 1165,899 1186,880 1207,861 1217,836 1217,805 1217,775 1207,751 1186,732 1165,713 1129,703 1080,703 L 1045,703 1045,-43 C 1045,-115 1030,-178 1000,-231 969,-285 923,-331 860,-370 797,-409 727,-428 648,-428 L 416,-428 C 367,-428 332,-418 311,-399 290,-380 279,-356 279,-326 279,-295 290,-270 311,-251 332,-232 367,-223 416,-223 L 642,-223 C 705,-223 753,-206 788,-172 823,-138 840,-95 840,-43 L 840,57 C 795,28 749,6 702,-9 655,-24 606,-31 557,-31 418,-31 301,16 207,109 113,202 66,316 66,453 66,590 113,706 207,799 301,892 418,938 557,938 609,938 659,931 706,916 753,901 797,878 840,847 Z M 839,454 C 839,529 811,595 756,650 700,705 633,733 555,733 477,733 410,705 355,650 299,595 271,529 271,454 271,378 299,313 355,258 410,203 477,175 555,175 633,175 700,203 756,258 811,313 839,378 839,454 Z\"/>\n   <glyph unicode=\"f\" horiz-adv-x=\"1077\" d=\"M 613,703 L 613,205 905,205 C 954,205 990,196 1011,177 1032,158 1042,133 1042,102 1042,72 1032,48 1011,29 990,10 954,0 905,0 L 286,0 C 237,0 202,10 181,29 160,48 149,72 149,103 149,133 160,158 181,177 202,196 237,205 286,205 L 408,205 408,703 310,703 C 261,703 226,713 205,732 184,751 173,775 173,806 173,836 184,861 205,880 226,899 261,908 310,908 L 408,908 408,986 C 408,1075 442,1150 509,1209 576,1268 673,1297 800,1297 857,1297 922,1292 997,1282 1071,1271 1119,1257 1140,1238 1161,1219 1171,1195 1171,1166 1171,1135 1162,1109 1143,1090 1124,1070 1101,1060 1074,1060 1061,1060 1042,1062 1017,1067 932,1084 857,1092 792,1092 724,1092 677,1082 652,1062 626,1041 613,1016 613,986 L 613,908 929,908 C 978,908 1014,899 1035,880 1056,861 1066,836 1066,805 1066,775 1056,751 1035,732 1014,713 978,703 929,703 L 613,703 Z\"/>\n   <glyph unicode=\"e\" horiz-adv-x=\"1077\" d=\"M 1129,350 L 288,350 C 309,297 347,254 402,221 456,188 529,172 622,172 698,172 799,188 925,221 977,234 1013,241 1033,241 1060,241 1083,231 1102,212 1121,193 1130,168 1130,139 1130,112 1120,90 1100,71 1073,46 1008,23 905,1 802,-22 702,-33 607,-33 443,-33 312,13 214,106 115,199 66,313 66,448 66,592 119,709 226,800 332,890 454,935 59
[...]
